                WinRAR - ИСТОРИЯ ИЗМЕНЕНИЙ ВЕРСИЙ


   Версия 7.01

   1. Исправлены ошибки:

      а) обновление зашифрованного файла в непрерывном RAR-архиве приводило
         к повреждению архива, если обновляемый файл был первым в архиве, при
         запуске обновления не был указан пароль и не было включено шифрование
         имён файлов в обновляемом архиве;

      б) WinRAR 7.00 аварийно завершал работу после перехода в режим
         "Одноуровневый вид папок" из подпапки архива;

      в) при извлечении ключ -ep4 дублировал указанный путь, а не исключал его;

      г) если архив, созданный версией RAR для Unix, содержит символические
         ссылки с символами-разделителями путей в целевых путях, эти символы
         могли быть повреждены при изменении такого архива с помощью
         RAR для Windows;

      д) в сообщениях об ошибках переименования и выполнения файлов WinRAR
         отображал неверное имя файла;

      е) SFX-команда "Shortcut" не распознавала пустые параметры, определённые
         как "Shortcut=D,"",folder", в то время как такие параметры без
         кавычек, как "Shortcut=D,,folder", распознавались правильно;

      ё) в WinRAR.exe не работало восстановление томов, если команда "rc"
         была указана с файлом .rev, например, "WinRAR rc arc.part1.rev".
         В отличие от консольного RAR, в WinRAR требовалось указывать здесь
         только файл с расширением .rar.


   Версия 7.00

   1. Для архивов RAR поддерживаются словари сжатия размером более 1 ГБ.
      В зависимости от объёма физически доступной памяти можно выбрать
      словарь до 64 ГБ.

      Для словарей, превышающих 4 ГБ, можно указывать размер, отличный
      от степени двойки. То есть можно использовать значения 5 ГБ или 22 ГБ,
      а не только 4, 8, 16, 32 и 64 ГБ.

      Архивы со словарями объёмом более 4 ГБ могут быть распакованы только
      с помощью WinRAR версии 7.0 или новее.

      Увеличение размера словаря может улучшить степень сжатия больших
      файлов с повторяющимися блоками, находящимися на значительном
      расстоянии друг от друга, например образов дисков виртуальных машин.
      Это также может быть эффективно для наборов больших похожих файлов в
      непрерывном архиве, таких как коллекции ISO-образов ПО, различающихся
      версией или локализацией.

   2. WinRAR выдаёт запрос на отмену или продолжение, если размер словаря в
      распаковываемом архиве RAR превышает параметр "Максимальный размер
      словаря для извлечения" в окне настроек программы на вкладке "Архивация".
      Это сделано для предотвращения неожиданного чрезмерного выделения памяти.

      В режиме командной строки WinRAR по умолчанию отказывается распаковывать
      архивы со словарём, превышающим 4 ГБ. Используйте ключи -md<размер> или
      -mdx<размер>, чтобы разрешить распаковку архивов со словарём до
      указанного размера включительно. В отличие от -md<размер>, ключ
      -mdx<размер> применяется только для извлечения и может быть добавлен в
      переменную среды RAR, не затрагивая команды архивирования.

   3. В окне "Определить размеры словаря" в настройках программы на вкладке
      "Архивация" можно настроить размеры словаря - в раскрывающемся списке
       предлагаются значения, связанные с полем "Размер словаря" в окне
      "Имя и параметры архива".

   4. При создании архивов RAR можно использовать альтернативный алгоритм
      поиска, оптимизированный для нахождения более длинных и удалённых друг
      от друга повторяющихся блоков данных. Это помогает улучшить степень,
      а иногда и скорость сжатия для избыточных данных, таких как большие
      текстовые файлы.
      
      При этом увеличивается объём используемой памяти и может снизиться
      скорость сжатия данных некоторых типов. Альтернативный алгоритм
      поиска можно включить или выключить с помощью опции "Поиск повторяющихся
      данных на большом расстоянии" в окне "Дополнительные параметры сжатия",
      либо указав ключ -mcl[+|-] в командной строке. Если выбран параметр
      "Автоматически", поиск на большом расстоянии применяется в зависимости
      от метода сжатия, размера словаря и других установок.

      Этот алгоритм требуется для словарей объёмом более 4 ГБ, поэтому
      для таких словарей его отключить нельзя.

   5. Гораздо более медленный, но более исчерпывающий алгоритм поиска
      повторяющихся данных и алгоритма сжатия можно включить с помощью
      опции "Глубокий поиск повторяющихся данных" в окне "Дополнительные
      параметры сжатия", либо указав ключ -mcx в командной строке. Это может
      обеспечить дополнительный выигрыш при сжатии избыточных данных
      некоторых типов, но ценой значительного снижения скорости сжатия.

      Для эффективной реализации этого режима необходим поиск на большом
      расстоянии, поэтому опция "Глубокий поиск повторяющихся данных"
      активирует его автоматически.

      Как поиск на большом расстоянии, так и исчерпывающий поиск не влияют
      на совместимость создаваемых архивов. Таким образом, если размер
      словаря находится в диапазоне от 128 КБ до 4 ГБ, архивы, созданные
      с помощью этих параметров поиска, могут быть распакованы всеми
      версиями WinRAR, начиная с 5.0.
         
   6. Максимальная длина пути увеличена с 2047 до 65 535 символов.

   7. Создание архивов в формате RAR 4.x больше не поддерживается.
      Опции и ключи, специфичные для этого формата, удалены.
      Это не влияет на распаковку архивов RAR 4.x, которая по-прежнему
      включена в WinRAR.
   
   8. Параметр "Восстановление веб-метки (Mark of the Web)" в настройках
      программы на вкладке "Безопасность" управляет присвоением метки
      Mark of the Web (MoTW, то есть файл загружен из Интернета) извлекаемым
      файлам. Восстановление веб-метки можно запретить, разрешить для
      нескольких предопределённых групп файлов, для всех файлов или для
      файлов в соответствии с задаваемыми пользователем масками файлов.

      Mark of the Web – это информация о зоне безопасности, добавляемая
      интернет-браузерами к загружаемым файлам. Она может использоваться
      различными программами в целях безопасности.

      Поддерживается только WinRAR с графическим интерфейсом. Консольный
      RAR не восстанавливает веб-метку независимо от этого параметра.

   9. Появилась возможность включить колонку "Атрибуты". Для этого в
      настройках программы перейдите на вкладку "Список файлов" и нажмите
      кнопку "Колонки". В этой колонке отображаются сокращения атрибутов
      файлов, например "A" для атрибута "Архивный" и "D" для каталога.

      Если атрибут файла не входит в число распознаваемых WinRAR, также
      отображается числовое значение атрибутов файла. Для атрибутов Windows
      это значение – в шестнадцатеричном формате, для атрибутов Unix – в
      восьмеричном.

  10. В команде "Тест быстродействия" можно указать точное количество потоков
      и скопировать результаты в буфер обмена. В окно теста добавлена
      информация о версиях WinRAR и Windows, процессоре и памяти.
   
  11. Опция "Удалять избыточные папки из пути извлечения" в настройках
      программы на вкладке "Пути" теперь применима также к командам
      извлечения, вызываемым из пользовательского интерфейса WinRAR, а
      также к группе архивов, распакованных в отдельные папки. Эта опция
      удаляет компонент пути назначения, только если его имя совпадает как
      с именем архива, так и с именем корневой папки архива, при условии,
      что в корне архива нет других папок или файлов.

      Например, из пути назначения будет удалено одно из "Pictures", если
      мы распакуем в место назначения "Pictures\" архив Pictures.rar,
      содержащий корневую папку "Pictures".

      Раньше это работало только для одного архива, извлечённого из
      контекстного меню, и не проверялось, соответствует ли имя папки
      архива последнему компоненту пути назначения.

  12. Опция "Перенос по словам в комментарии" в группе параметров "Интерфейс"
      на вкладке "Общие" в настройках программы включает/отключает режим
      переноса по словам в окне комментария архива.
   
  13. Данные о размере словаря в окне с информацией об архиве теперь доступны
      для архивов .bz2, .lz, .tar.bz2, .tar.gz, .tar.lz, .tar.zst.

  14. Ключ -ol- запрещает архивирование и извлечение символических ссылок.
   
  15. Ключи -sl<размер>[u] и -sm<размер>[u] распознают единицы размера
      [k|K|m|M|g|G|t|T] для килобайтов, тысяч байт, мегабайтов, миллионов
      байт, гигабайтов, миллиардов байт, терабайтов и триллионов байт.
      Если символ единицы размера – 'b', 'B' или отсутствует, то
      предполагается, что это байты.

      Ранее эти ключи принимали только байты.

  16. SFX-команда TempMode принимает необязательный параметр @set:user,
      позволяющий изменять права доступа к временной папке, поэтому доступ
      к ней может получить только текущий пользователь. Этот параметр
      запрещает локальному пользователю заменять файлы во временной папке,
      если SFX запускается под другой учётной записью.

      Эту функцию также можно включить с помощью параметра "Ограничить
      доступ к папке" в окне "Дополнительные параметры SFX" на вкладке
      "Режимы".

      Некоторые установочные программы могут не запускаться в папке,
      созданной с параметром @set:user.
 
  17. Права доступа к файлам и альтернативные потоки NTFS не сохраняются
      для записей с жёсткими ссылками. Они сохраняются только для исходного
      файла, на который ведут эти ссылки. Это позволяет уменьшить размер
      архива, поскольку при извлечении такие свойства файла автоматически
      распространяются на копии с жёсткими ссылками.

  18. Сочетания клавиш, такие как Ctrl+A для выбора всех файлов или Alt+E
      для распаковки найденных архивов, теперь доступны в окне результатов
      поиска также во время выполнения поиска. Ранее они были доступны
      только после завершения поиска.
   
  19. Ключ -v<размер>[единица измерения] распознает 't' и 'T' как терабайты
      и триллионы байт для единиц измерения размера тома.
   
  20. Выдаётся предупреждение, если в параметре, указанном в поле
      "Дополнительные ключи" в окнах архивации и извлечения WinRAR,
      отсутствует начальный символ "-". Оно также выводится для параметров
      без символа '-' в переменной среды RAR и в файле rar.ini.

      Ранее такие некорректные параметры тихо игнорировались.

  21. Команда "Преобразовать архивы" отображает плавный общий ход выполнения
      операции. Ранее он резко обновлялся после преобразования архива и был
      виден только при обработке нескольких архивов.

  22. При сжатии целей символических ссылок отображается правильный ход
      выполнения.

  23. Параметр "Встроить WinRAR в оболочку Windows" в настройках WinRAR на
      вкладке "Интеграция" неактивен, если в файле winrar.ini присутствует
      "Global\Integration=0".
   
  24. Исправлены ошибки:

      а) используя специально созданный архив .rar, можно было перезаписать
         веб-метку (Mark of the Web), восстановленную из архива в
         извлечённые файлы, и изменить информацию о зоне безопасности.

         Благодарим Orange Tsai и NiNi из исследовательской группы DEVCORE,
         работающей с Trend Micro Zero Day Initiative, за сообщение об этой
         проблеме безопасности.

         В отличие от WinRAR, библиотека unrar.dll не восстанавливает
         веб-метку (Mark of the Web) архива у извлекаемых файлов,
         предоставляя это вызывающему приложению. Таким образом, unrar.dll
         эта проблема не затрагивает;

      б) поле "Дополнительные расширения архивов" в настройках программы на
         вкладке "Интеграция" не сохранялось, если для хранения настроек
         использовался файл winrar.ini и WinRAR запускался под учётной
         записью пользователя без прав администратора.

   
   Версия 6.24

   1. Исправлены ошибки:

      а) команда извлечения в WinRAR и UnRAR.dll обращалась по нулевому
         адресу памяти и аварийно завершала работу при обработке архива
         с именем нулевой длины в метаданных, сохранённых ключом -am.

         Благодарим Radoslaw Madej из компании Check Point Software,
         сообщившего об этой проблеме;
   
      б) команда извлечения в WinRAR и UnRAR.dll перезаписывала извлечённые
         данные файла содержимым альтернативного NTFS-потока данных ::$DATA,
         если такой поток присутствовал в архиве. В этом случае размер
         распакованных данных и контрольная сумма могут не совпадать с теми,
         которые отображаются в списке файлов WinRAR. Это не влияло на имя и
         тип файла, которые отображались правильно.

         Благодарим Ata Hakcil за сообщение об этой проблеме.

   
   Версия 6.23

   1. Добавлена распаковка архивов XZ с использованием фильтра ARM64.
   
   2. Временные файлы Rar$LS*, создаваемые при распаковке или тестировании
      группы архивов из контекстного меню Windows, теперь удаляются сразу.
      Ранее они удалялись только при следующем запуске WinRAR и только если
      их возраст был не менее 1 часа.
   
   3. Исправлены ошибки:

      а) в коде обработки томов восстановления RAR4 исправлена проблема
         безопасности, связанная с записью за пределы выделенной области
         данных.

         Благодарим goodbyeselene из Zero Day Initiative компании Trend Micro
         за сообщение об этой ошибке;

      б) WinRAR мог запустить неправильный файл после того, как пользователь
         дважды щёлкнул по элементу в особым образом созданном архиве.

         Благодарим Андрея Половинкина из подразделения анализа угроз
         компании Group-IB за сообщение об этой ошибке;

      в) если для файла в архиве ZIP были доступны дополнительные поля
         времени как в NTFS, так и в Unix, команда извлечения игнорировала
         второе дополнительное поле, даже если оно содержало больше полей
         времени, чем первое;

      г) темы интерфейса применялись к значкам архивов, даже если была
         отключена опция "Применить к значкам архивов" в окне "Управление
         темами".

   
   Версия 6.22

   1. Исправлены ошибки:

      а) извлечение отдельных файлов из непрерывных архивов, созданных с
         помощью RAR версий старше 2.0, могло завершиться ошибкой в
         WinRAR 6.20 и 6.21. На распаковку всего архива это не влияло,
         она выполнялось корректно;

      б) файлы в Unix-архивах ARJ могли ошибочно отображаться как папки в
         списке файлов WinRAR;

      в) опция извлечения "Показать файлы в Проводнике" игнорировалась, если
         также была выбрана опция "По окончании: Закрыть WinRAR", а архив
         был открыт в WinRAR до распаковки;

      г) значение размера файла в строке состояния внутреннего средства
         просмотра не включало поле маски порядка байтов, отображая у файлов
         в Юникоде размер меньше фактического.

   
   Версия 6.21

   1. При распаковке TAR и архивов на основе TAR, таких как tar.gz и tar.bz2,
      восстанавливаются дата и время модификации как файлов, так и папок.
      Раньше для этих форматов архивов устанавливались только дата и время
      модификации файлов.

   2. Добавлена распаковка архивов .tar.zst со словарём более 128 МБ.
      WinRAR 6.20 допускал такой словарь для .zst, но не для .tar.zst.

   3. Ключи -ed и -e+d также поддерживаются в архивах ZIP.
      Ранее они работали только с архивами RAR.

   4. Исправлены ошибки:

      а) если незашифрованный файл был сохранён после зашифрованного в одном
         и том же архиве RAR, и оба файла распаковывались одной и той же
         командой извлечения, то WinRAR 6.20 не мог распаковать
         незашифрованный файл;

      б) в некоторых случаях во второй строке сообщения об ошибке открытия
         файла могла отображаться неправильная подробная причина ошибки.

   
   Версия 6.20

   1. Если в окне "Управление паролями" включена опция "Автоопределение
      паролей", а среди сохранённых паролей есть пароль, который подходит
      к обрабатываемому архиву, то он применяется автоматически. Эта
      опция работает только с архивами форматов RAR5 и ZIP, позволяющими
      быстро проверять правильность пароля.

      Существует небольшая вероятность неверного обнаружения пароля для
      архивов ZIP, если среди сохранённых паролей нет правильного. Если
      не удалось распаковать зашифрованный архив ZIP, попробуйте отключить
      эту опцию и повторить распаковку, введя правильный пароль вручную.

   2. Если команда извлечения затрагивает только часть файлов в архиве RAR,
      то при запуске извлечения выполняется дополнительный анализ архива,
      что помогает правильно распаковать ссылки на файлы, даже если не выбран
      источник ссылки. Это работает для большинства архивов RAR, за
      исключением томов на нескольких съёмных носителях и архивов, содержащих
      очень большое количество ссылок.

      Также в некоторых случаях такой анализ может помочь оптимизировать
      объём обрабатываемых данных при извлечении отдельных файлов из
      частично непрерывных архивов, созданных с ключами -s<N> и -se.

   3. Опция "Сохранять имя и время исходного архива" на вкладке "Опции"
      в диалоге архивации позволяет сохранить имя и время создания
      исходного архива. Если архив содержит такие сохранённые имя и время,
      то они отображаются на вкладке "Информация" команды "Показать
      информацию" и могут быть восстановлены на вкладке "Параметры" той же
      команды. Восстановление включает в себя переименование архива в
      исходное имя и установку сохранённого времени в качестве времени
      создания и модификации архива.

      Ключ -ams или просто -am вместе с командами модификации архива можно
      использовать для сохранения имени и времени архива в режиме командной
      строки. Эти сохранённые параметры отображаются в заголовке вывода
      команд "l" и "v" и могут быть восстановлены с помощью ключа -amr в
      сочетании с командой "ch", например, "rar ch -amr arc.rar". Если
      указан ключ -amr, команда "ch" игнорирует другие параметры
      модификации архива.

   4. Ускорено сжатие RAR5 плохо сжимаемых данных на современных
      процессорах с 8 или более потоками выполнения. Это относится ко всем
      методам, кроме "Скоростного", производительность которого остаётся
      прежней.

   5. Улучшена эффективность команды "Восстановить" для перемешанных блоков
      данных в архивах RAR5, защищённых данными для восстановления.

   6. Если после архивирования при создании обычных (не непрерывных) томов
      RAR размер файла увеличился, такой файл сохраняется без сжатия
      независимо от номера тома, при условии, что файл не разделён между
      томами. Раньше это работало только для файлов в первом томе.

   7. Добавлена распаковка архивов .zipx, содержащих ссылки на файлы, при
      условии, что выбраны и источник ссылки, и цель, и источник ссылки
      предшествует цели внутри архива.

      Как правило, если архив .zipx содержит ссылки на файлы, для успешного
      извлечения ссылок необходимо распаковать весь архив.

   8. Добавлена распаковка архивов .zst в режиме long range со словарём
      более 128 МБ. Раньше такие архивы можно было распаковать, только если
      словарь был меньше или равен 128 МБ.

   9. Если в WinRAR включены параметры архивации "Выключить компьютер",
      "Гибернация", "Сон" или "Перезагрузить компьютер", запрос на
      подтверждение или отмену такого действия по управлению питанием
      отображается непосредственно перед его запуском. Если пользователь не
      сделал никакого выбора в течение 30 секунд, предложенное действие
      подтверждается и запускается автоматически.

      Этот запрос также отображается для ключа -ioff в командной строке
      WinRAR, но не в командной строке консольного RAR.

  10. Контекстное меню в списке файлов WinRAR содержит команду "Открыть во
      встроенной программе просмотра" для архивов. Это может быть полезно,
      если вы хотите просмотреть необработанные данные архива во встроенной
      программе просмотра. Например, чтобы прочитать архив электронной
      почты с включёнными вложениями UUE.

      Обычная команда "Показать содержимое файла" всегда отображает
      содержимое архива. Если файл распознан как архив UUE, эта команда
      покажет вложения UUE.

  11. Для архивов в формате RAR5 отображается размер данных для
      восстановления на вкладке "Архив" в окне свойств файла, вызываемом из
      контекстного меню Проводника. Раньше для архивов RAR5 вместо точного
      размера данных для восстановления отображалось только их наличие.

  12. При архивировании из стандартного ввода (stdin) с ключом -si
      консольный RAR отображает текущее количество прочитанных байтов как
      индикатор хода операции.

  13. Если при добавлении файлов в зашифрованный непрерывный архив RAR5
      указан неправильный пароль, то пароль будет запрошен повторно.
      Предыдущие версии в этом случае отменяли архивирование.

  14. Если при архивировании включены обе опции "Протестировать файлы после
      архивации" и "Снимать атрибут «Архивный» после упаковки" или в
      командной строке указаны их эквиваленты -t -ac, то атрибут "Архивный"
      будет очищен только при успешном завершении проверки. Раньше он
      сбрасывался даже тогда, когда тест сообщал об ошибках.

  15. Значение NoDrives, содержащее битовую маску для скрытия дисков,
      теперь можно считывать из ключа реестра
      "HKEY_CURRENT_USER\Software\WinRAR\Policy", что позволяет при
      необходимости включить его в winrar.ini.
      Также расположения "Software\Microsoft\Windows\CurrentVersion\Policies"
      поддерживаются в разделах HKEY_CURRENT_USER и HKEY_LOCAL_MACHINE.

      Ранее "Software\Microsoft\Windows\CurrentVersion\Policies"
      распознавались только в HKEY_CURRENT_USER.

  16. Исправлены ошибки:

      а) команды модификации архива могли завершаться ошибкой для некоторых
         ZIP-архивов с комментариями к файлам;

      б) устранена утечка памяти при чтении содержимого архивов .tar.bz2;

      в) если исходный и целевой форматы архива совпадали, команда
         преобразования архива не устанавливала исходное время архива во
         вновь созданный архив, даже если в параметрах архивирования была
         выбрана установка по времени исходного архива;

      г) если в параметрах WinRAR на вкладке "Список файлов" была включена
         опция "Объединять содержимое томов", упакованный размер папки в
         списке файлов WinRAR мог быть меньше ожидаемого при просмотре
         содержимого многотомного архива, так как в расчёт не включался
         упакованный размер частей файла, продолжающихся с предыдущего
         тома;

      д) даже если по умолчанию была отключена опция извлечения
         "Восстанавливать права доступа", команды извлечения в контекстном
         меню Проводника всё равно пытались восстановить файловые права
         доступа NTFS.

      е) WinRAR мог считывать данные за пределами буфера и аварийно завершать
         работу при распаковке файлов из специально созданного ZIP-архива.
         Мы благодарны Bakker из Trend Micro Zero Day Initiative за сообщение
         об этой ошибке.


   Версия 6.11

   1. Добавлена поддержка архивов Gz с большими архивными комментариями.
      Ранее команда извлечения не могла распаковать архивы gz, если
      размер комментария превышал 16 КБ.

   2. Архивные комментарии в архивах gz отображаются в окне комментария
      и распознаются командой "Показать информацию". Большие комментарии
      отображаются частично.

      Предыдущие версии не показывали комментарии Gzip.

   3. Зарезервированные имена устройств, оканчивающиеся файловым расширением,
      например aux.txt, в Windows 11 извлекаются как есть, даже если
      не включена опция "Разрешить потенциально несовместимые имена" или
      в командной строке не указан ключ -oni. Это сделано, так как в отличие
      от предыдущих версий Windows, в Windows 11 такие имена трактуются как
      обычные имена файлов.

      Для имён устройств без расширения, например aux, по-прежнему нужно
      использовать указанные выше параметры вне зависимости от версии Windows.

   4. Ключ -mes также можно применять для подавления запроса пароля и
      прекращения работы при добавлении файлов в зашифрованный непрерывный
      архив.

   5. Реализованы дополнительные меры по предотвращению извлечения
      небезопасных ссылок.

   6. Исправлены ошибки:

      а) если при распаковке зашифрованного архива консольным RAR вводился
         пароль длиной более 127 символов, текст после 127-го символа мог
         быть ошибочно принят за ввод пользователя на другие запросы,
         выдаваемые позже;

      б) в запросе на перезапись при извлечении файла из ZIP-архива могло
         отображаться неправильное время файла в архиве. Это происходило,
         если такой архив включал в себя расширенное время файла и был создан
         в другом часовом поясе. На фактическое время файла это не влияло -
         оно при извлечении устанавливалось правильно.


   Версия 6.10

   1. WinRAR может распаковывать архивы .zst и .zipx, в которых используется
      алгоритм Zstandard.

   2. Добавлена поддержка контекстных меню Проводника Windows 11.

      Начиная с Windows 11, приложениям разрешено добавлять в контекстное
      меню Проводника только одну команду верхнего уровня или подменю.

      Если в настройках программы на вкладке "Интеграция" включён параметр
      "Вложенные контекстные меню", то этот единственный пункт – подменю,
      содержащее все необходимые команды WinRAR.

      Если же эта опция выключена, то доступна только одна команда извлечения
      для архивов и одна команда архивирования для обычных файлов. Эти команды
      можно выбрать, нажав кнопку "Элементы контекстного меню..." на вкладке
      "Интеграция".

   3. В Windows 11 можно использовать опцию "Устаревшие контекстные меню"
      на вкладке "Интеграция" в настройках программы если команды WinRAR
      отсутствуют в контекстном меню Windows "Показать дополнительные
      параметры" или в контекстных меню сторонних файловых менеджеров.
      Если команды WinRAR здесь уже есть, отключите опцию "Устаревшие
      контекстные меню", чтобы предотвратить их дублирование.

      Эта опция недоступна в Windows 10 и более старых версиях.

   4. Windows XP больше не поддерживается. Минимально требуется Windows Vista.

   5. В окно "Параметры операции" диалогового окна архивирования в список
      "По окончании" добавлен элемент "Закрыть WinRAR". Если его выбрать,
      то по окончании архивирования окно WinRAR будет закрыто.

   6. В окне извлечения на вкладке "Опции" добавлен список "По окончании",
      позволяющий выбрать действие, которое будет выполнено после завершения
      распаковки – выключить компьютер, закрыть WinRAR и др.

   7. Ключ -si можно использовать для чтения архивных данных с stdin при
      извлечении или тестировании, например:

        type docs.rar | rar x -si -o+ -pmypwd dummy docs\

      Хотя при использовании этого ключа имя архива игнорируется, в командной
      строке всё равно должно быть указано произвольное фиктивное имя архива.

      Операции, требующие поиск в обратном направлении, в этом режиме
      недоступны. К ним относятся отображение комментариев к архиву,
      тестирование данных для восстановления, использование информации для
      быстрого открытия архива, обработка многотомных архивов.

      Не допускаются запросы, требующие взаимодействие с пользователем.
      Для подавления таких запросов используйте ключи -o[+|-|r], -p<пароль>
      или -mes.

   8. Новый ключ -ep4<путь> исключает префикс пути при архивировании или
      извлечении, если этот путь находится в начале имени архива. Путь
      сравнивается с именами, уже подготовленными для сохранения в архиве,
      без букв дисков и предшествующих разделителей путей.
      Например, команда

        rar a -ep4texts\books archive c:\texts\books\technical

      удаляет "text\books" из архивных имён, так что они начинаются
      с 'technical'.

   9. Новый ключ -mes пропускает зашифрованные файлы при извлечении или
      тестировании. Он заменяет прежний ключ -p-.

  10. Новый ключ -op<путь> задаёт целевую папку для команд извлечения 'x'
      и 'e'. В отличие от параметра командной строки <путь_для_извлечения\>,
      этот ключ также принимает пути без символа разделителя пути в конце.

  11. Если команда 'p' используется для печати файла на стандартный вывод
      (поток stdout), информационные сообщения автоматически подавляются,
      чтобы предотвратить их смешивание с данными файла.

  12. Опция "Генерировать имя архива по маске" и ключ -ag считают минутами
      только первые два символа 'M' после 'H'. Ранее минутами считалось
      любое количество таких символов.

      Благодаря этому стало возможным помещать поле времени перед датой,
      например, так: -agHHMM-DDMMYY. Предыдущие версии считали все 'M'
      в этой строке как минуты.

  13. Максимально допустимый размер данных для восстановления RAR5 увеличен
      до 1000% от размера защищаемых данных. Максимальное количество томов
      для восстановления RAR5 может быть в 10 раз больше, чем защищаемых
      томов RAR.

      Предыдущие версии WinRAR не могут использовать данные для
      восстановления для исправления повреждённых архивов, если размер этих
      данных превышает 99%. Аналогично, предыдущие версии не смогут
      использовать тома для восстановления, если их количество равно
      количеству томов RAR или превышает его.

  14. Если введённый пароль превышает допустимый предел в 127 символов и
      усекается, выдаётся предупреждение. Ранее такие пароли усекались молча.

  15. Если архив содержит зарезервированные имена устройств, то при извлечении
      в начало таких имён вставляется символ подчёркивания. Например, имя
      aux.txt будет преобразовано в _aux.txt. Это делается для предотвращения
      проблем совместимости с ПО, неспособным обрабатывать такие имена.

      Чтобы избежать такого преобразования, используйте опцию "Разрешить
      потенциально несовместимые имена" на вкладке "Дополнительно" окна
      извлечения или ключ -oni в командной строке.

  16. Перед тестированием архива WinRAR пытается сбросить кэш файлов.
      Это помогает проверять фактические данные, записанные на диск, вместо
      чтения кэшированной копии.

  17. Теперь можно указывать несколько ключей -v<размер>, определяющих разные
      размеры для разных томов, также и для архивов ZIP:

      WinRAR a -v100k -v200k -v300k arcname.zip

      Ранее несколько ключей -v<размер> поддерживались только для архивов RAR.

  18. Ключи -sl<размер> и -sm<размер> можно использовать в WinRAR.exe в режиме
      командной строки при распаковке архивов любых поддерживаемых форматов
      при условии, что такой архив включает распакованные размеры файлов.
      Ранее эти ключи могли фильтровать файлы по размеру только в архивах
      RAR и ZIP.

  19. При нажатии кнопки "Обзор" вызывается диалоговое окно выбора новой папки
      в WinRAR на странице "Параметры/Пути", в командах "Восстановить" и
      "Преобразовать", а также в нескольких других аналогичных местах.
      Ранее открывалось простое окно выбора папки в стиле Windows XP.

  20. При восстановлении из области уведомлений после завершения операции
      окно WinRAR располагается под другими открытыми окнами, чтобы
      не мешать текущим действиям пользователя.

  21. В списке заранее заданных размеров томов ("Параметры/Архивация", кнопка
      "Определить размеры томов") убрано значение "650 МБ (CD)" и добавлено
      значение "2 ГБ".

  22. Команда "Переименовать" выделяет часть имени файла до последней точки.
      Ранее выделялось всё имя.

  23. Если размер архива SFX превышает 4 ГБ, сообщение об ошибке выдаётся во
      время сжатия сразу после превышения этого порогового значения. Ранее об
      этой ошибке сообщалось только после завершения сжатия.

      Исполняемые файлы такого размера не могут быть запущены Windows.

  24. Ключ -en командной строки больше не поддерживается.
      Он создавал архивы RAR4 без добавления блока "Конец архива".

      Блок "Конец архива" позволяет изящно пропускать внешние данные,
      например цифровые подписи.

  25. Исправлены ошибки:

      а) при редактировании файла внутри архива RAR или ZIP вместо обновления
         существующего архива создавался новый SFX-архив, если в профиле
         архивирования по умолчанию была включена опция "Создать
         самораспаковывающийся архив";

      б) общий ход выполнения мог отображаться неправильно при использовании
         ключей -oi, -f, -u или соответствующих параметров графического
         интерфейса;

      в) команда "Найти файлы" с включённой опцией "Использовать все таблицы"
         и команда "it" в командной строке не могли находить строки в
         кодировке UTF-16.


   Версия 6.02

   1. SFX-модель ZIP отказывается обрабатывать SFX-команды, хранящиеся в
      комментарии архива, если такой комментарий находится после начала
      цифровой подписи Authenticode. Это сделано для предотвращения возможных
      атак с включением ZIP-архива в тело подписи.

      В WinRAR 6.01 уже запрещено извлечение содержимого таких искажённых
      архивов.

      Благодарим Jacob Thompson из FireEye Mandiant Labs за сообщение об
      этой проблеме.

   2. В окне веб-уведомлений и ссылках на домашнюю страницу и темы WinRAR
      вместо протокола http теперь используется https. Также реализованы
      дополнительные проверки внутри веб-уведомителя. Это сделано для
      предотвращения выполнения вредоносной веб-страницей существующих
      файлов на компьютере пользователя. Такая атака возможна только в
      случае, если злоумышленнику удалось подделать или иным образом
      контролировать DNS-записи пользователя. Практическое применение
      данной атаки ограничено и прочими факторами.

      Выражаем благодарность Игорю Сак-Саковскому, обратившему наше внимание
      на этот вопрос.

   3. Где это уместно, SFX-архив отображает дополнительную строку с подробной
      информацией об ошибках, предоставленной операционной системой.

      Например, ранее такой архив отображал только сообщение "Невозможно
      создать файл". Теперь за этим сообщением следует подробная причина –
      запрет доступа или использование файла другим процессом.

      Ранее такая расширенная информация об ошибках была доступна в WinRAR,
      но не в SFX-архивах.

   4. Ключ -idn скрывает архивируемые имена также в командах 'v' и 'l'.
      Это может пригодиться, когда требуется только тип архива или общая
      информация.

   5. Если ключи -ibck -ri<приоритет> используются вместе, процесс WinRAR
      устанавливает приоритет, указанный в ключе -ri. Предыдущие версии
      игнорировали -ri и устанавливали приоритет в низкий, если присутствовал
      ключ -ibck.

   6. При использовании команды "Файл/Выбрать диск" WinRAR запоминает
      последнюю папку предыдущего диска и восстанавливает её при повторном
      выборе этого диска.

   7. Для архивов RAR5 в предупреждение WinRAR о неверном пароле теперь
      включается имя распаковываемого файла. Это может быть полезным при
      распаковке обычного (не непрерывного) архива, содержащего файлы,
      зашифрованные разными паролями.

   8. Исправлены ошибки:

      а) команда "Преобразовать архивы" выдавала ошибочное сообщение "Указан
         неверный пароль" после успешного преобразования архива RAR с
         зашифрованными именами файлов, если был установлен новый пароль
         и архив был открыт в оболочке WinRAR;

      б) если размер окна выполнения команды был увеличен, а затем быстро
         уменьшен до исходного, содержимое окна могло быть расположено
         неправильно.


   Версия 6.01

   1. В окне комментария WinRAR сочетание клавиш Ctrl+A выделяет весь текст.

   2. Если при архивировании консольным RAR ключ -idn используется вместе
      с ключами -t или -df, то он дополнительно отключает генерируемые ими
      сообщения "Удаление <имя файла>" или "Тест <имя файла>".

      Кроме того, ключ -idn отключает сообщения о создании папок при
      извлечении файла в несуществующую папку.

   3. WinRAR и SFX-модуль ZIP отказываются извлекать содержимое
      самораспаковывающихся (SFX) архивов ZIP, если центральный каталог ZIP
      находится после начала цифровой подписи Authenticode. Это сделано для
      предотвращения возможных атак с включением ZIP-архива в тело подписи.

   4. Исправлены ошибки:

      а) команда "Преобразовать архивы" могла некорректно преобразовывать
         юникодные комментарии в архивах RAR;

      б) если из контекстного меню Проводника были открыты два окна с
         информацией об архиве, индикатор степени сжатия в первом окне
         мог ошибочно отображать значение для второго архива.

         На текстовую информацию в правой части окна (сжатие и др.) это
         не влияло, неверное значение мог показывать только вертикальный
         индикатор слева;

      в) если в окне извлечения была включена опция "Ждать, если работает
         другая копия WinRAR", то во время ожидания в заголовке окна хода
         операции не отображалось сообщение "Ожидание завершения другой
         копии WinRAR";

      г) при извлечении символической ссылки предыдущие версии
         не перезаписывали имеющиеся символические ссылки, даже если
         пользователь указывал это в запросе перезаписи.


   Версия 6.0

   1. В запрос при ошибках чтения добавлены опции "Пропустить" и
      "Пропустить все". Опция "Пропустить" позволяет продолжить обработку
      только с уже прочитанной частью файла, а "Пропустить все" делает
      то же самое для всех последующих ошибок чтения.

      Например, если вы архивируете файл, часть которого оказалась
      заблокирована другим процессом, и на запрос при ошибке чтения
      выбираете "Пропустить", то в архиве будет сохранена только часть
      файла, предшествующая недоступному для чтения участку.

      Это может помочь избежать прерывания длительных операций архивирования,
      но нужно иметь в виду, что файлы, добавленные в архив с опцией
      "Пропустить", будут неполными.

      Если указан ключ -y, то "Пропустить" применяется по умолчанию ко
      всем файлам.

      Ранее доступные опции "Повторить" и "Выход" по-прежнему присутствуют
      в запросе при ошибке чтения.

   2. При использовании в режиме командной строки, ошибки чтения вызывают
      код возврата 12. Этот код возвращается для всех опций запроса при
      ошибках чтения, включая новую опцию "Пропустить".

      Ранее ошибки чтения вызывали более общий код возврата 2, соответствующий
      критическим ошибкам.

   3. Если выбрано несколько архивов, можно использовать группу опций "Место
      распаковки архивов" на вкладке "Опции" диалогового окна извлечения,
      чтобы указать, куда нужно поместить извлечённые файлы – в указанную
      целевую папку, в отдельные подпапки в целевой папке, в отдельные
      подпапки в папках архивов, либо прямо в папки архивов.

      Эта группа заменяет опцию "Распаковать архивы во вложенные папки" и
      доступна, только если выбрано несколько архивов.

   4. Новый ключ -ad2 служит для помещения извлечённых файлов непосредственно
      в собственную папку архива. В отличие от ключа -ad1, он не создаёт
      отдельной вложенной папки для каждого распаковываемого архива.

   5. Поле "Дополнительные ключи" на вкладке "Опции" диалоговых окон
      архивирования и извлечения позволяет указывать для WinRAR ключи
      командной строки. Может пригодиться, если в графическом интерфейсе
      WinRAR отсутствует какая-либо опция, соответствующая ключу в командной
      строке.

      Используйте эту возможность, только если вы знакомы с синтаксисом
      командной строки WinRAR и чётко понимаете, для чего предназначены
      указанные ключи.

   6. Изменены параметры сжатия в команде "Тест быстродействия": теперь
      используется словарь размером 32 МБ и метод сжатия "Обычный". Это
      соответствует режиму упаковки RAR5 по умолчанию и больше подходит
      для оценки производительности новых версий WinRAR, чем 4-мегабайтный
      словарь и метод "Максимальный", рассчитанные на формат RAR4.

      Как следствие, нельзя непосредственно сравнивать результаты, полученные
      в этой и в предыдущих версиях WinRAR. Новый набор параметров даёт
      другие значения, вероятно, более низкие из-за в восемь раз большего
      размера словаря.

   7. При извлечении части файлов из многотомного непрерывного архива WinRAR
      пытается пропускать тома в начале и начинать распаковку с тома,
      ближайшего к указанному файлу, и со сбросом статистики непрерывной
      упаковки.

      По умолчанию WinRAR сбрасывает статистику непрерывного архивирования
      в начале достаточно больших непрерывных томов, где это возможно.
      Для таких томов извлечение части файлов из середины набора томов
      теперь может быть быстрее.

      На скорость распаковки всех файлов из архива это не влияет.

   8. Ранее WinRAR автоматически прибегал к извлечению из первого тома,
      если пользователь начинал извлечение не из первого тома, и первый том
      был доступен. Теперь WinRAR делает это, только если также доступны
      все тома между первым и указанным.

   9. При закрытии WinRAR выдаётся предупреждение, если один или несколько
      файлов в архиве были изменены внешними приложениями, но их не удалось
      сохранить обратно в архив из-за того, что они всё ещё заблокированы
      внешним приложением. Такое предупреждение включает в себя список
      изменённых файлов и предлагает либо немедленно выйти и потерять
      изменения, либо вернуться в WinRAR и закрыть приложение-редактор.

      Предыдущие версии выдавали такое предупреждение при редактировании
      файла, но без повторного напоминания при выходе.

  10. Опция "Перемещать в Корзину" в группе параметров "Удаление архива" в
      диалоговом окне извлечения удаляет архивы в Корзину, а не окончательно.

  11. Новая команда "Очистить историю..." в меню "Настройки" позволяет
      удалять имена недавно открывавшихся архивов в меню "Файл" и очищать
      выпадающие списки с ранее введёнными значениями в диалоговых окнах.
      Например, эти значения включают имена архивов в окне архивирования и
      целевые пути в окне извлечения.

  12. Опции в группе "Время файлов" на вкладке "Дополнительно" в диалоговом
      окне извлечения теперь доступны для архивов 7z. Дополнительно к
      времени изменения, при распаковке таких архивов WinRAR может
      устанавливать время создания и время последнего доступа.

  13. В окне "Настройки/Параметры/Интеграция/Элементы контекстного меню"
      добавлена группа опций "Элементы подменю «Создать»". С их помощью
      можно удалить пункты "Архив WinRAR" и "Архив ZIP - WinRAR" в подменю
      "Создать" контекстного меню Windows.

      Состояние этих опций применяется только при нажатии OK в окне
      "Элементы контекстного меню" и затем в его родительском окне "Параметры".

  14. Перед именем программы в SFX-команде "Setup" можно вставлять команды
      <Max>, <Min> или <Hide>, чтобы эта программа запускалась в распахнутом,
      свёрнутом или скрытом окне. Пример:

      Setup=<Hide>setup.exe

  15. Для SFX-модуля можно указывать дополнительный логотип высокого
      разрешения. Если присутствует такой логотип, SFX-модуль масштабирует
      и отображает его в Windows-режиме с высоким DPI, обеспечивая лучшую
      видимость, чем при изменении размера стандартного логотипа.

      Чтобы определить такой логотип, используйте опцию "SFX-логотип
      высокого разрешения" в диалоговом окне "Дополнительные параметры SFX".
      Чтобы задать логотип высокого разрешения в режиме командной строки,
      добавьте второй ключ -iimg.

      Рекомендуемый размер файла PNG с логотипом высокого разрешения –
      186×604 пиксела.

  16. Если открытый в оболочке WinRAR архив был удалён или перемещён другой
      программой, WinRAR показывает "Недоступен" перед именем архива в
      заголовке окна. Кроме того, заголовок окна и кнопка в панели задач
      мигают.

  17. Опция "Сводная информация" в окне "Создание отчёта" переименована в
      "Заголовки и сводка". Теперь вдобавок к сводной информации о файлах
      и архивах в списке она также добавляет в отчёт заголовки колонок.

  18. Если процесс архивирования начат из контекстного меню Windows в системе
      с несколькими мониторами, ход операции и диалоговые окна выводятся на
      том мониторе, где было вызвано контекстное меню.

      Базовая поддержка нескольких мониторов присутствовала и в предыдущих
      версиях встраивания в оболочку Windows для команд управления мышью.
      Теперь она расширена до операций, инициированных с клавиатуры, и
      перетаскивания файлов в архивы.

  19. Новый ключ -imon<номер> позволяет указывать в командной строке монитор,
      на котором WinRAR должен отображать ход операции и диалоговые окна.

      Используйте -imon1 для первичного и -imon2 для вторичного монитора.
      Например, команда "WinRAR x -imon2 ИмяАрхива" запустит распаковку на
      вторичном мониторе.

      Работает только в режиме командной строки и не влияет ни на интерактивный
      графический интерфейс WinRAR, ни на консольную версию RAR.

  20. Ключ -idn отключает показ имён файлов/папок в архиве при архивировании,
      извлечении и ряде других команд в консольной версии RAR. На показ других
      сообщений и общего процента выполнения ключ -idn не влияет.

      Этот ключ может пригодиться, чтобы уменьшить количество ненужной вам
      информации на экране и снизить вычислительные мощности на вывод в
      консоль при архивировании или извлечении множества маленьких файлов.

      При использовании ключа -idn возможны небольшие визуальные дефекты,
      например, процент выполнения может накладываться на несколько последних
      символов сообщения об ошибке.

  21. Ключ "-im – показывать дополнительную информацию" теперь изменён на
      "-idv – подробный вывод" для согласованности c опциями -id[c,d,p,q],
      управляющими сообщениями консольного RAR, и во избежание потенциального
      конфликта имён с новым ключом -imon.

      Пока WinRAR распознаёт как ключ -im, так и -idv, но в будущем поддержка
      ключа -im может быть прекращена.

  22. В имя профиля архивации можно добавлять необязательную переменную
      %arcname% – эта переменная будет заменяться на фактическое имя архива.
      Это может быть удобно при использовании с опцией профиля "Добавить в
      контекстное меню". Например, вы можете создать профиль архивации ZIP
      и назвать его "Добавить в %arcname%", чтобы в контекстном меню
      выводилось фактическое имя ZIP-архива.

  23. В окне "Диагностические сообщения" можно использовать сочетания клавиш
      Ctrl+C и Ctrl+Ins для копирования содержимого окна в буфер обмена.

  24. Теперь во всплывающей подсказке значка в системной области уведомлений
      выводится больше длинного текста, прежде чем он будет усечён. Кроме
      того, такой текст сейчас усекается из середины строки, благодаря чему
      видны и тип команды, и процент выполнения.

  25. В случае чистой установки, если отсутствуют профили архивации от
      предыдущей версии, поле "Файлы для добавления в архив без сжатия" во
      вновь создаваемых предопределённых профилях архивации заполняется
      следующими расширениями:

        *.rar *.zip *.cab *.7z *.ace *.arj *.bz2 *.gz *.lha *.lzh
        *.taz *.tgz *.xz *.txz

      Позже вы можете изменить это поле и сохранить модифицированное значение
      для профиля архивации.

      Предыдущие версии при чистой установке оставляли это поле пустым.

  26. История целевых путей в окне извлечения считает такие пути, как
      'папка' и 'папка\', одинаковыми и отображает только запись 'папка'.
      Ранее такие пути занимали в истории две записи.

  27. Удалены опция "Алгоритм сжатия исполняемых файлов Itanium" в графической
      оболочке WinRAR и ключ -mci в командной строке. Оптимизированное сжатие
      исполняемых файлов Itanium больше не поддерживается. Однако WinRAR
      по-прежнему может распаковывать ранее созданные архивы, в которых
      используется сжатие исполняемых файлов Itanium.

  28. Исправлены ошибки:

      а) команды "Блокировка", "Комментарий" и "Защита" нельзя было применять
         сразу к нескольким архивам, выбранным в списке файлов WinRAR;

      б) процесс SFX-архива не прерывался после завершения извлечения в
         Windows 10, если комментарий архива содержал команды "Setup" и
         "SetupCode", не содержал команду "TempMode", и программа установки
         работала более 8 минут;

      в) профили архивации с символом кавычки в имени профиля не удавалось
         вызывать из контекстного меню Проводника.


   Версия 5.91

   1. Диалоговые окна центрируются внутри окна WinRAR, как в версии 5.80,
      а не относительно всего экрана, как в версии 5.90.

   2. При редактировании файла в архиве с помощью внешней программы
      предпринимаются дополнительные меры с целью уменьшить вероятность
      вмешательства в работу редактора и открытия его временных файлов,
      в то время когда они всё ещё могут быть ему нужными.

   3. В поле "Версия для извлечения" в окне свойств архива, открытом из
      контекстного меню Проводника Windows, отображается дополнительная
      информация о сжатии и алгоритмах шифрования ZIP, таких как LZMA и AES.
      Эта информация уже была доступна в WinRAR по команде "Информация",
      но отсутствовала при вызове окна свойств из Проводника Windows.

   4. Для архивов LZH команда "Информация" распознаёт и отображает
      базовые операционные системы "MS-DOS" и "Unix". Ранее для архивов
      формата LZH в поле "Базовая ОС" всегда отображалось "Неизвестно".

   5. Файлы, созданные внешним редактором и соответствующие маскам,
      указанным в поле "Игнорировать изменения этих файлов" на вкладке
      "Просмотр" в настройках WinRAR, никогда не добавляются в архив.
      Ранее WinRAR всё же их добавлял, если также был создан или изменён
      какой-то файл, не соответствующий таким маскам.

   6. Исправлены ошибки:

      а) в некоторых архивах LZH, созданных в Unix, отображались пустые
         имена файлов;

      б) WinRAR не мог обрабатывать более 999 томов 7z в одном наборе;

      в) если пользователь отменял запрос в окне контроля учётных записей
         (UAC) после изменения параметра "Встроить WinRAR в оболочку
         Windows", в окне настроек отображалось новое состояние этого
         параметра, хотя действительное состояние встраивания в оболочку
         Windows не было изменено;

      г) размер основного окна мог быть слишком маленьким при первом запуске
         после чистой установки, когда в системе не было предыдущей версии
         WinRAR;

      д) WinRAR мог перестать отвечать на запросы после редактирования
         файла в архиве с помощью внешней программы в Windows 10 версии 2004.


   Версия 5.90

   1. Увеличена скорость сжатия RAR при использовании процессоров с 16 и
      более ядрами.

   2. При создании архивов RAR5 метод сжатия "Скоростной" (эквивалент в
      командной строке — ключ -m1) обычно обеспечивает более плотную
      упаковку хорошо сжимаемых данных.

   3. Максимальное количество используемых потоков увеличено с 32 до 64.
      У ключа -mt<потоки> в командной строке можно указывать значения
      от 1 до 64.

   4. Опция "Многопоточность" на вкладке "Общие" в настройках WinRAR заменена
      на поле ввода "Потоки", где можно указывать желаемое количество потоков
      ЦП — от 1 до максимального числа доступных логических процессоров.

   5. При просмотре содержимого архивов отображаются упакованный и
      неупакованный размеры папок.

   6. В список параметров архива, выводимых командой "Информация", добавлено
      поле "Всего папок". Такое же поле добавлено на вкладку "Архив" в
      свойствах архива в Проводнике Windows.

   7. Если чтение содержания архива длится достаточно долго, то выводится окно
      с индикатором хода операции и кнопкой "Отмена". Это может быть полезно
      при чтении форматов архивов с медленным доступом к содержанию, например
      архивов на основе TAR – .tar.gz и tar.bz2.

   8. Теперь можно изменять размер окон хода операции при архивировании и
      распаковке, а также для некоторых других команд.

   9. Ускорено восстановление повреждённых архивов RAR5, содержащих данные для
      восстановления, и у которых нет смещения данных. Скорость была снижена в
      WinRAR версии 5.80 и сейчас восстановлена до исходного уровня.

  10. Не запрашивается пароль при починке повреждённых архивов RAR5 с
      зашифрованными именами файлов, имеющих данные для восстановления.
      Теперь команду восстановления можно выполнять, не указывая пароль.

  11. Если папка для преобразованных архивов в команде "Преобразовать архивы"
      не существует, WinRAR пытается её создать. Предыдущие версии не могли
      создавать преобразованные архивы, если целевая папка не существовала.

  12. Добавлена поддержка распаковки архивов GZIP с дополнительным полем
      контрольной суммы в заголовке.

  13. Исправлены ошибки:

      а) команда "Исправить" могла ошибочно выводить сообщение о повреждении
         данных для восстановления при обработке архива с корректными данными.
         Это сообщение не препятствовало дальнейшему восстановлению;

      б) если в используемом по умолчанию профиле архивации в группе опций
         "Информация для быстрого открытия архива" было выбрано "Не добавлять",
         и этот профиль был загружен какой-либо командой или диалоговым окном,
         WinRAR игнорировал информацию для быстрого открытия при просмотре
         содержания архивов RAR. Например, такое происходило после открытия
         окон архивирования или ввода пароля;

      в) в окне комментария архива не работало сочетание клавиш Ctrl+C
         ("Скопировать");

      г) если были выбраны опции "Помещать каждый файл в отдельный архив" и
         "Архивы во вложенных папках", WinRAR игнорировал целевой путь,
         указанный в поле "Имя архива".


   Версия 5.80

   1. Опция "Не изменять время последнего доступа у исходных файлов" на вкладке
      "Время" в окне архивирования позволяет сохранять время последнего доступа
      у архивируемых файлов.

   2. Сохранять время последнего доступа у архивируемых файлов можно с помощью
      ключа -tsp в командной строке. Разрешается сочетать его с другими ключами
      -ts, например: rar a -tsc -tsp archive files

   3. В одном и том же ключе -ts допускается объединять несколько модификаторов.
      Например, можно использовать -tscap вместо -tsc -tsa -tsp.

   4. WinRAR умеет считывать значения по умолчанию у ключей командной строки из
      текстового файла rar.ini, который может находиться либо в папке с файлом
      WinRAR.exe, либо в папке %APPDATA%\WinRAR. Этот файл включает строки в
      следующем формате:

      switches=<любые ключи RAR, разделённые пробелами>
      switches_<команда>=<любые ключи RAR, разделённые пробелами>

      Ключи в первой строке применяются ко всем командам, а ключи во второй –
      к индивидуальным командам.
      Пример:

      switches=-m5 -s
      switches_x=-o+

      Большинство указываемых в rar.ini ключей применяются только в режиме
      командной строки. Некоторые ключи можно использовать и в режиме
      графической оболочки, и в режиме командной строки. Ранее этот формат
      rar.ini поддерживался только консольной версией RAR.

   5. Ключ -agf<формат_по_умолчанию> в командной строке задаёт стандартную
      строку формата для ключа -ag. Он имеет практический смысл только при
      помещении его в конфигурационный файл rar.ini или в переменную
      среды RAR.
      Например, если в переменной среды RAR задать -agfYYYY-MMM-DD, то при
      указании ключа -ag без параметра будет подразумеваться форматирующая
      строка YYYY-MMM-DD.

   6. Ключи -ed и -e+d можно использовать в командах обработки архивов для
      любой комбинации RAR и операционных систем, в которых создан архив.
      Предыдущие версии RAR для Windows не могли их применять для RAR-архивов,
      созданных в Unix, а RAR для Unix - для RAR-архивов, созданных в Windows.

   7. Ранее команда "Тест" не могла проверять целостность заархивированных
      альтернативных потоков данных NTFS и выдавала предупреждение
      "Неизвестный формат заголовка данных", если размер такого потока
      превышал 16 МБ. Теперь этого ограничения нет.

   8. Увеличена скорость обработки больших альтернативных потоков данных NTFS
      на многоядерных процессорах.

   9. Команда "Поиск":

      а) ранее при извлечении файлов непосредственно из окна результатов поиска
         запрашивался пароль для каждого найденного файла, даже если все файлы
         принадлежали одному и тому же архиву.

         Теперь пароль запрашивается только один раз на архив;

      б) сочетание клавиш Ctrl+A выбирает все файлы в окне результатов поиска.

  10. Окно комментария архива:

      а) предыдущие версии не позволяли закрывать WinRAR клавишами Ctrl+W,
         если фокус клавиатурного ввода находился в окне комментария.
         Теперь сочетание Ctrl+W работает и из окна комментария;

      б) колёсико мыши также поддерживается для комментариев с
         Escape-последовательностями ANSI;

      в) для некоторых длинных комментариев с Escape-последовательностями ANSI
         последняя строка комментария была видна лишь частично даже при
         прокрутке до самого низа. Сейчас она отображается полностью.

  11. Максимальная длина пути у файлов в архивах 7z увеличена до 2048 символов.
      Предыдущие версии уже поддерживали такие длинные пути в архивах RAR и
      ZIP, но в архивах 7z они были ограничены 260 символами.

  12. Если имя архива или файла слишком длинное и не умещается в окне хода
      архивирования или извлечения, то оно усекается. Ранее такие имена
      усекались в конце, из-за чего не было видно расширения файла. Сейчас
      при усечении удаляется компонент пути и символы в середине, а начало
      имени файла и расширение сохраняются.

  13. Если выбранные для архивирования файлы различаются только расширениями,
      то предлагаемое имя архива основывается на их части с именем. Например,
      если выбрать файлы Readme.txt и Readme.doc, то в окне архивирования
      будет предложено имя архива Readme.rar.

      Предыдущие версии всегда генерировали имя архива по имени родительской
      папки, если было выбрано несколько файлов.

  14. В архивах .tar в колонке "Тип" для записей с символическими и жёсткими
      ссылками выводятся "Симв. ссылка" и "Жёст. ссылка". Предыдущие версии
      отображали правильный тип для таких записей только в архивах RAR.

  15. Операция копирования и вставки файлов из больших архивов могла
      завершаться неудачей, если извлечение занимало много времени. Данная
      версия также способна вставлять файлы из таких архивов, но чтобы
      этого добиться, пришлось начинать извлечение уже с команды копирования,
      а не со вставки.

  16. Аналогично томам RAR5, тома восстановления в формате RAR4 используют
      ту же ширину поля номера тома, как соответствующие им тома RAR.
      То есть если раньше при использовании формата RAR4 создавались тома
      arc.part01.rar и arc.part1.rev, то теперь у томов обоих типов часть
      имени с номером будет "part01".

  17. Кнопка "Шрифт..." на вкладке "Список файлов" в настройках WinRAR
      также изменяет шрифт в панели дерева папок. Ранее она изменяла шрифт
      только в списке файлов.

  18. Команда "Найти файлы" и её эквивалент в командной строке – "i":

      а) если выбрана опция "Использовать все таблицы" или у команды "i"
         указан модификатор "t", то дополнительно к уже поддерживаемым
         кодировкам ANSI, OEM и UTF-16 архиватор будет выполнять поиск
         указанной строки в файлах с кодировкой UTF-8;

      б) улучшена поддержка текстовых строк в Юникоде;

      в) увеличена скорость, особенно при поиске без учёта регистра букв;

      г) вывод при шестнадцатеричном поиске включает и текстовое, и
         шестнадцатеричное представления найденного.

  19. Пофайловый и общий индикаторы хода операции отображаются при распаковке
      архивов tar.bz2, tar.gz, tar.lz, tar.xz и tar.z.

      Ранее для tar.bz2, tar.gz и tar.z корректно отображался только общий
      ход операции, а для архивов tar.lz and tar.xz не отображались
      ни пофайловый, ни общий индикаторы.

  20. Опция "Точные размеры" в группе "Файлы" на вкладке "Список файлов"
      в настройках WinRAR также изменяет формат размера файлов в строке
      состояния.

  21. Исправлены ошибки:

      а) если в окне архивирования в имени архива указан несуществующий путь,
         WinRAR предлагает создать этот путь. Предыдущие версии могли
         создавать такой путь в папке запуска WinRAR, а не в отображаемой
         в данный момент папке;

      б) WinRAR мог вызывать сбой при добавлении данных для восстановления
         в формате RAR5 в компьютерах с процессорами, не поддерживающими
         команду CPUID EAX=7 и возвращающими в ответ случайные данные.
         Такие процессоры выпускались в начале 2000-х годов;

      в) WinRAR не мог создавать архивы после перетаскивания файлов правой
         кнопкой мыши в оболочке Windows, отпускании их в другой папке,
         выборе пункта "Добавить в архив..." в контекстном меню и включении
         параметра "Помещать каждый файл в отдельный архив";

      г) команда "winrar r *.zip" восстанавливала только первый ZIP-архив
         в наборе, если все архивы имели числовые имена типа 1.zip, 2.zip,
         а подписи в начале архивов отсутствовали;

      д) предыдущая версия WinRAR не могла распаковывать записи папок из
         архивов, созданных с помощью RAR 1.50;

      е) в редких случаях WinRAR не мог распаковать корректные архивы .gz и
         сообщал об ошибке, если эти архивы были созданы некоторыми
         программами оптимизации сжатия;

      ё) индикатор хода операции на значке в области уведомлений никогда
         не достигал 100% в режиме экрана с высоким DPI;

      ж) время создания и последнего доступа не отображалось для папок в
         архивах, если записи папок были сохранены в архиве после содержимого
         папок;

      з) параметр "Пропускать зашифрованные архивы" в команде "Преобразовать
         архивы" не работал для архивов 7-Zip с зашифрованными заголовками.


   Версия 5.71

   1. Команда "Преобразовать архивы":

      а) повышена скорость при обработке большого количества маленьких
         архивов в Windows 10;

      б) устранены утечки памяти, которые могли приводить к её чрезмерному
         потреблению при преобразовании в формат ZIP.

   2. Обработка повреждённых архивов ZIP:

      а) команда "Восстановить" заменяет упакованный и неупакованный размеры
         файла, хранящиеся в локальном заголовке файла, на размеры из
         центрального каталога, если размеры в локальном заголовке выглядят
         некорректными;

      б) извлечение файла останавливается в соответствии с неупакованным
         размером, хранящемся в заголовках ZIP, даже если имеются упакованные
         данные для дальнейшего извлечения. Это сделано, чтобы препятствовать
         непреднамеренному заполнению пространства на жёстком диске.

   3. Выполнение команды "l" в консольной версии RAR быстро прерывается по
      Ctrl+C. В предыдущих версиях выдача списка содержимого архива
      могла продолжаться ещё несколько секунд после нажатия Ctrl+C.

   4. Исправлены ошибки:

      а) WinRAR мог вызывать сбой при попытке отобразить архивные комментарии
         некоторых типов в графической оболочке, что приводило к отказу
         в обслуживании;

      б) если в профиле архивации были включены параметры "Сохранить имя
         архива" и "Добавить в контекстное меню", и профиль был вызван из
         контекстного меню Проводника, то WinRAR предлагал автоматически
         сгенерированное имя архива, а не имя, сохранённое в профиле.

      в) при системных ошибках WinRAR отображал в окне диагностических
         сообщений ненужную часть круглых скобок в колонке "Архив";

      г) команда "Извлечь в папку\" в контекстном меню Проводника Windows
         могла отказываться распаковывать архивы ZIP, у которых имена
         включали числовую часть, за которой следовало расширение .zip,
         перед первой файловой записью имелись произвольные данные, а
         в WinRAR был включён параметр "Удалять избыточные папки из пути
         извлечения";

      д) в команде "RAR x -x<маска> архив" родительские папки файлов,
         подходящие под указанную маску, также исключались из извлечения;

      е) команда "Найти" для области поиска "Текущая папка" возвращала
         собственное имя текущей папки дополнительно к её содержимому,
         если имя папки подходило под маску "Искомые имена файлов";

      ё) если включены оба параметра – "Поиск в файлах" и "Поиск в архивах",
         команда "Найти" не сопоставляла имя самого архива с маской
         "Искомые имена файлов" после поиска внутри архива. Поэтому
         команда не выводила имена архивов для масок вида *.rar и
         применяла такую маску только к файлам внутри архивов;

      ж) при запуске исполняемого файла непосредственно из архива
         WinRAR 5.70 не делал текущей временную папку с распакованными
         файлами. Из-за этого исполняемые файлы пытались получить доступ
         к другим файлам из архива в текущей папке, что могло приводить
         к ошибкам в работе;

      з) WinRAR мог быть недоступен в течение нескольких секунд после
         закрытия файла в архиве, который был открыт во встроенном средстве
         просмотра в Windows 10;

      и) если при перетаскивании файла во вложенную папку ZIP-архива был
         выбран параметр "Сохранять полные пути", это вызывало образование
         некорректных полных путей, состоящих из повторяющегося имени
         вложенной папки. Такие же некорректные полные пути образовывались
         при добавлении файлов в ZIP-архив с ключами -ap<папка> -ep2.


   Версия 5.70

   1. Параметр "Файлы для обработки" на вкладке "Время" в окне архивирования
      позволяет выбирать файлы на основе времени изменения, создания и
      последнего доступа. Ранее это было возможно только для времени
      изменения.

   2. Ключи -ta, -tb, -tn, -to в командной строке можно дополнять
      модификаторами 'm', 'c' и 'a' после имени ключа. Таким образом,
      временнЫе условия могут включать не только время изменения, как это
      было в предыдущих версиях, но также время создания и время последнего
      доступа.

      Такой ключ можно дополнять любым числом модификаторов, чтобы задать
      одну и ту же дату для всех указанных времён. Например, если указать ключ
      -tamc20190215, то будут обработаны файлы, изменённые и созданные после
      15 февраля 2019 года.

      Новый модификатор 'o' позволяет переключаться от логики AND (И) к
      OR (ИЛИ), таким образом, если указать ключ -tamco20190215, то будут
      включены в обработку файлы, изменённые или созданные после 15 февраля
      2019 года. Также допускается указывать в одной командной строке
      несколько фильтрующих время ключей с разными датами, например:
      -taco20190201 -tbmo20190210

      Ключи -ta и -tn также включают в обработку файлы, у которых точно
      совпадает указанная дата. Ключи -tb и -to исключают такие файлы.

   3. В списке файлов WinRAR могут отображаться времена создания и
      последнего доступа, если они доступны.

      Колонки времени создания и последнего доступа по умолчанию отключены.
      Их можно включить в окне "Выберите колонки для списка файлов". Чтобы
      его открыть, щёлкните правой кнопкой мыши по заголовкам колонок списка
      или нажмите кнопку "Колонки..." на вкладке "Список файлов" в группе
      "Файлы" в настройках WinRAR.

   4. Параметры "Двойные расширения архивов" и "Архивы во вложенных папках"
      на вкладке "Файлы" в окне архивирования изменяют поведение параметра
      "Помещать каждый файл в отдельный архив".

      Параметр "Двойные расширения архивов" позволяет переключать стиль
      именования архивов между 'имя.расширение.rar' и 'имя.rar'.

      В зависимости от состояния параметра "Архивы во вложенных папках"
      можно создавать по отдельному архиву для каждого файла в выбранных
      подпапках, либо сохранять всё содержимое каждой выбранной папки в
      отдельном архиве.

   5. Новый ключ -ad1 позволяет рекурсивно распаковывать серию архивов,
      например, 'rar x -r -ad1 arc\*.rar'. Для файлов, извлекаемых из каждого
      архива, создаётся отдельная папка, но в отличие от ключа -ad, этот ключ
      создаёт такие папки для каждой папки в архиве.

   6. Если контекстное меню "Распаковать каждый выбранный архив в отдельную
      папку" применено к архивам из разных папок в результатах поиска
      Проводника Windows, вложенные папки с распакованными файлами создаются
      для каждой архивной папки. Предыдущие версии создавали их все в папке
      с архивом, по которому был сделан щелчок правой кнопкой мыши.

   7. Новый параметр "Список файлов/Стиль списка/Флажки" в настройках WinRAR
      позволяет выбирать элементы в списке файлов с помощью флажков.

   8. Новый параметр "Список файлов/Файлы/Точные размеры" в настройках WinRAR.

      Если он включён, размеры файлов всегда отображаются в байтах.
      Если выключен, размеры округляются до КБ или МБ. Размеры
      маленьких файлов по-прежнему отображаются в байтах.

   9. Если запущено несколько копий консольного RAR с ключом -ioff, компьютер
      будет выключен, когда закончит работу последняя копия RAR. Ранее
      этот ключ обрабатывался у первой завершавшей работу копии.

  10. Для файлов .iso увеличен размер буфера чтения и записи. В некоторых
      случаях, например, на сетевых накопителях, это может ускорить
      извлечение из iso-файлов.

  11. Если параметр "Удалить архив" в окне извлечения применён к набору
      томов RAR и REV в формате имя_тома.part#, тома REV будут также удалены.
      Ранее удалялись только тома RAR, а файлы REV оставались на диске.

  12. Если параметр "Удалить архив" в окне извлечения применён к набору
      томов ZIP с расширениями .zip.001, .zip.002, .zip.003, то будут удалены
      все тома ZIP. Ранее для такой схемы именования томов удалялся только
      том .zip.001.

  13. Если распаковывается архив arcname.rar с помощью команды
      "Извлечь в arcname\" в контекстном меню Проводника, и уже существует
      файл "arcname", расширение оболочки WinRAR предложит вместо этого
      "Извлечь в arcname~1\". Ранее эта команда контекстного меню пыталась
      создать папку с таким же именем, как у существующего файла, и вызывала
      ошибку.

  14. Если упаковывается файл-ярлык с расширением .lnk из контекстного меню
      Проводника, в архив добавляется сам lnk-файл. Предыдущие версии
      добавляли цель, на которую указывает lnk-файл, а не сам этот файл.

  15. Исполняемые файлы в Windows не могут быть больше 4 ГБ, поэтому WinRAR
      немедленно выдаёт ошибку при попытке создать SFX-тома RAR размером
      4 ГБ и более. Ранее такая ошибка выдавалась только после создания
      первого тома RAR.

  16. Для многотомных архивов 7z отображается индикатор общего хода
      извлечения. Улучшена точность индикатора общего хода извлечения.

  17. Выпадающий список "Диски и папки" в команде "Поиск файлов" переименован
      в "Область поиска". Дополнительно к уже имеющимся вариантам выбора
      он содержит новый пункт "Выбранные элементы", ограничивающий поиск
      файлами и папками, выбранными в списке файлов WinRAR.

  18. Команда "Поиск файлов" выводит количество найденных элементов в строке
      состояния.

  19. В окне диагностических сообщений имена архивов отображаются в отдельной
      колонке, чтобы улучшить видимость сообщений для архивов с длинными
      именами.

  20. Ключ -isnd[-] в режиме командной строки WinRAR позволяет переопределять
      значение параметра "Включить звуковые сигналы" в настройках WinRAR.
      Чтобы включить звуковые оповещения, используйте ключ -isnd, а чтобы
      отключить – ключ -isnd-.

  21. Nadav Grossman из компании Check Point Software Technologies сообщил нам
      об угрожающей безопасности уязвимости в библиотеке UNACEV2.DLL.
      Данная уязвимость позволяет создавать файлы в произвольных папках внутри
      или вне целевой папки при распаковке архивов ACE.

      WinRAR использовал эту библиотеку стороннего разработчика для распаковки
      архивов ACE. Библиотека UNACEV2.DLL не обновлялась с 2005 года, и у нас
      нет доступа к её исходному коду. По этой причине мы решили отказаться
      от поддержки архивного формата ACE, чтобы не подвергать риску
      пользователей WinRAR.

      Благодарим компанию Check Point Software Technologies за информацию
      об этой проблеме.

  22. Исправлены ошибки:

      а) в консольном RAR были перепутаны местами размеры и времена исходного
         и целевого файлов в запросе перезаписи при обновлении файла в
         RAR-архиве с ключом -o;

      б) не работало перетаскивание файлов из 32-разрядных приложений в окно
         64-разрядного WinRAR;

      в) применённая к папке команда Shift+Del в WinRAR могла не удалить
         некоторые из вложенных в неё папок. Эта команда служит для
         окончательного удаления файлов и папок, а не перемещения их
         в Корзину;

      г) панель дерева папок могла не изменять папки, если пути в архиве
         начинались с разделителя пути, как, например, в архивах, созданных
         утилитой tar с опцией --absolute-names;

      д) если в SFX-комментарии указан относительный "Path=.\somefolder",
         и SFX-архив для распаковки требует повышения привилегий, то он
         создаёт 'somefolder\somefolder' вместо 'somefolder';

      е) команды, изменяющие имеющийся том RAR4, сбрасывают поле номера тома
         в 1. Это не влияло на распаковку, но для таких томов WinRAR показывал
         некорректный номер тома;

      ё) устранён сбой при чтении комментария из повреждённого RAR-файла;

      ж) панель инструментов окна результатов команды поиска некорректно
         подстраивалась под значки другого размера.


   Версия 5.61

   1. Если при распаковке выбрана опция удаления архива, то удаляются все
      тома, даже если пользователь начал извлечение не с первого тома RAR,
      но первый том присутствует, и все файлы распакованы успешно. Предыдущие
      версии в такой ситуации игнорировали опцию удаления архива, даже если
      WinRAR мог обнаружить первый том и обработка велась с начала набора
      томов.

   2. У архивов с зашифрованными именами файлов не отображается полоска
      степени сжатия на странице "Архив" в свойствах файла в Проводнике.
      WinRAR не может надёжно выполнять подсчёт для таких архивов без
      указания пароля и ранее просто выводил здесь 0%.

   3. Исправлены ошибки:

      а) WinRAR бесконечно выводил сообщение "Указан неверный пароль" при
         попытке открыть архив RAR5 с зашифрованными именами файлов, если
         с помощью Ctrl+P был неверно задан глобальный пароль;

      б) устранена ошибка управления памятью в окне пароля, которая могла
         приводить к доступу к уже высвобожденной памяти и последующему сбою.
         Эта проблема могла также угрожать безопасности данных;

      в) устранён сбой при обработке повреждённых архивов RAR, ACE и LZH.
         Эта проблема могла также угрожать безопасности данных;

      г) запуск WinRAR мог вызывать кратковременное мерцание строки меню
         у небольшого количества других приложений;

      д) при поиске в архивах CAB выдавались результаты, соответствующие
         тексту, указанному в поле "Искомая строка", по всем файлам в архиве,
         а маска в поле "Искомые имена файлов" игнорировалась;

      е) команда "License" у SFX-модуля не устанавливала заголовок окна
         с лицензией;

      ё) если "Папка запуска" в настройках WinRAR завершалась обратной косой
         чертой (\), WinRAR игнорировал первую команду "Перейти на один
         уровень выше".


   Версия 5.60

   1. Обновлено графическое оформление WinRAR.

      Благодарим за помощь дизайнеров http://weirdsgn.com и
      http://icondesignlab.com и с удовольствием объявляем, что
      теперь в WinRAR используется набор значков, подготовленных
      Aditya Nugraha Putra из студии http://weirdsgn.com.

      Предыдущие значки WinRAR доступны как тема интерфейса здесь:
      https://rarlab.com/themes/WinRAR_Classic_48x36.theme.rar

   2. Повышена эффективность команды "Восстановить" для архивов RAR5,
      защищённых с помощью данных для восстановления. Теперь эта команда
      способна обнаруживать удаления и вставки неограниченного размера
      также в виде перемешанных данных, включая данные, полученные из
      нескольких архивов, имеющих данные для восстановления, и объединённых
      в один файл в произвольном порядке.

   3. Параметр "По окончании операции выключить компьютер" в окне архивирования
      изменён на выпадающий список "По окончании операции", позволяющий
      после завершения архивирования выключать компьютер, переводить его
      в состояние гибернации или сна.

   4. Чтобы выключить компьютер по окончании операции, укажите в командной
      строке ключ -ioff или -ioff1, чтобы перевести в состояние
      гибернации – ключ -ioff2, в состояние сна – ключ -ioff3.

   5. Если для файла с комментарием, заданного ключом -z<файл>, не указана
      кодировка с помощью ключа -sc, RAR пытается определить кодировки UTF-8,
      UTF-16LE и UTF-16BE, основываясь на маске порядка байт и проверке
      достоверности данных.

   6. WinRAR пытается автоматически определять кодировки ANSI, OEM и UTF-8
      в комментариях архивов ZIP.

   7. В настройках программы на вкладке "Просмотр" параметр "Использовать
      кодировку DOS" в группе "Встроенное средство просмотра" заменён на
      "Автоопределение кодировки". Если включено автоматическое определение,
      встроенная программа просмотра пытается сама определять кодировки
      ANSI (Windows), OEM (DOS), UTF-8 и UTF-16.

   8. Если щёлкнуть правой кнопкой мыши по одному архиву, то по умолчанию
      контекстное меню Проводника Windows будет содержать только команды
      извлечения. Это можно изменить, указав одну или несколько разделяемых
      пробелами масок в поле "Всегда показывать команды архивирования для"
      в окне "Элементы контекстного меню", вызываемом на вкладке "Интеграция"
      в настройках WinRAR. Таким образом, команды архивирования для файлов
      указанных типов будут отображаться всегда, даже есть файл распознан
      как архив. Если вы хотите, чтобы команды архивирования и извлечения
      присутствовали в контекстных меню всех архивов, то укажите "*" в этом
      поле.

   9. Команда "SetupCode" SFX-модуля принимает необязательный целочисленный
      параметр, позволяющий управлять отображением собственных кодов возврата
      программы установки и SFX. Для того же самого предназначен параметр
      "Коррекция кода возврата" на вкладке "Установка" в окне "Дополнительные
      параметры SFX" (кнопка "Параметры SFX" на вкладке "Дополнительно" в
      окне "Имя и параметры архива").

  10. Новый ключ -im ("Показывать дополнительную информацию") командной строки
      для WinRAR. Его можно указывать вместе с командой "t", чтобы выводилось
      сообщение при успешном завершении тестирования архива. Без этого ключа
      команда "t" не показывает никаких сообщений, если проверка завершилась
      без ошибок.

      Ключ -im применим только к WinRAR.exe, консольный RAR.exe его
      игнорирует.

  11. Если при распаковке зашифрованного файла в ZIP-архиве был указан
      неверный пароль, WinRAR не прерывает распаковку, а предлагает снова
      ввести правильный пароль для того же файла.

  12. Если при открытии или распаковке RAR-архива с зашифрованными именами
      файлов был указан неверный пароль, WinRAR не прерывает операцию, а
      предлагает снова ввести правильный пароль. Предыдущие версии уже
      вели себя так же с RAR-архивами с зашифрованными файловыми данными,
      но прерывали операцию с архивами, содержащими зашифрованные имена.

  13. WinRAR распознаёт файлы GZIP с произвольными данными, предшествующими
      собственно GZIP-архиву, например, файлы .scexe с прошивками.

  14. В поле "Добавляемые файлы" в окне архивирования можно указывать параметр
      @filelist. В этом случае WinRAR попытается получить список файлов для
      архивирования из обычного текстового файла 'filelist', в котором
      каждое имя файла должно быть указано на отдельной строке.

  15. Диалоговое окно с информацией:

      а) изменён вид графика степени сжатия;

      б) для архивов с зашифрованными именами файлов в строке "Шифрование"
         отображается "Имена и данные".

  16. Если в окне хода операции навести указатель мыши на имя архива, то
      отобразится полное имя архива. Полезно для архивов с длинными именами,
      не умещающимися в отведённое в окне место.

  17. При использовании ключа -ts1 вместе с -u или -f сравнение времени файлов
      выполняется с 1-секундной точностью. Ранее в подобной ситуации
      добавляемый файл мог ошибочно трактоваться как более новый, чем
      имеющийся в архиве, просто потому, что сравнивалось время с высокой
      точностью у добавляемого файла с временем с низкой точностью у файла
      в архиве.

  18. Команды "Обновить" и "Обновить имеющиеся" ('u' и 'f' в режиме командной
      строки) немедленно прекращают работу, если нет файлов для обновления.
      Ранее эти команды перед завершением работы создавали временный архив,
      если обновлялся архив с данными для восстановления или с информацией
      для быстрого открытия.

  19. После создания 500 томов в графической оболочке WinRAR выдаётся запрос,
      продолжить или прекратить дальнейшее архивирование. Это сделано, чтобы
      предотвратить создание многих тысяч архивных томов, если
      пользователь по ошибке указал неверный размер тома.

  20. В окне архивирования в поле размера тома по умолчанию используются
      мегабайты, а не байты.

  21. Команда "Исправить" выдаёт сообщение "Данные для восстановления
      повреждены" после починки архива RAR5, содержащего повреждённые
      данные для восстановления. Ранее такое сообщение выдавалось только
      командой "Тест", а команда "Исправить" обрабатывала большинство
      повреждений данных для восстановления, ничего не сообщая.

  22. Исправлены ошибки:

      а) устранены потенциальные проблемы безопасности при обработке
         повреждённых RAR-архивов;

      б) некорректно отображались не-английские символы в файлах TAR
         с расширенными заголовками PAX;

      в) команда "rar x arcname.rar .." распаковывала файлы в текущую папку,
         а не в родительскую;

      г) вставка файлов из Проводника Windows в открытый в WinRAR архив
         блокировала последующие операции копирования и вставки в Проводнике,
         пока не завершалось архивирование;

      д) если был введён неправильный пароль, SFX-модуль выдавал сообщение
         "Указан неверный пароль" бесконечно, не запрашивая ввод корректного
         пароля;

      е) при распаковке ZIP-архивов всегда устанавливалось время папок, даже
         если были отключены все параметры в группе "Время файлов" в окне
         "Путь и параметры извлечения";

      ё) если при распаковке в окне "Путь и параметры извлечения" в группе
         параметров "Удаление архива" было выбрано "Удалять всегда", а
         пользователь при запросе перезаписи или пароля нажал кнопку "Отмена",
         архив .zip и .7z мог быть удалён даже после отмены извлечения.


   Версия 5.50

   1. WinRAR и RAR для командной строки по умолчанию используют формат
      архивов RAR 5.0. Вы можете изменить его на формат, совместимый с
      RAR 4.x, выбрав параметр "RAR4" в окне архивирования или указав
      ключ -ma4 в командной строке.

      Если нужно, чтобы по умолчанию использовался формат RAR 4.x, то
      в настройках WinRAR на вкладке "Архивация" нажмите кнопку
      "Создать профиль по умолчанию..." и выберите в появившемся окне
      параметр "RAR4".

      Это изменение относится к случаю, когда программа устанавливается
      в компьютере впервые. Если вы уже сохраняли формат RAR в профиле
      архивации по умолчанию в предыдущих версиях, то WinRAR учитывает
      сохранённые настройки.

   2. Кнопка "Установить главный пароль" в окне "Управление паролями"
      позволяет зашифровать сохранённые записи о паролях, защитив их
      от несанкционированного доступа.

      Если сохранённые пароли защищены главным паролем, то для доступа к ним
      при запросе пароля потребуется ввести главный пароль и нажать OK.
      Если введённый пароль не совпадает с главным паролем, он будет
      считаться обычным паролем для операций с архивами.

      Будучи введённым, главный пароль действует до закрытия WinRAR.
      Если вы хотите посмотреть, как работает защита, то после того,
      как укажете главный пароль, закройте WinRAR и откройте его снова.
      Чтобы удалить шифрование ранее защищённых записей о паролях, введите
      сначала правильный, а затем пустой главный пароль.

      Эта версия WinRAR в органайзере паролей использует новый формат
      данных, поэтому пароли, сохраняемые в окне "Управление паролями",
      не могут быть прочитаны предыдущими версиями. Это относится только
      к хранению паролей, но не к форматам шифрования архивов – зашифрованные
      архивы совместимы с предыдущей версией WinRAR.
      Данные в органайзере преобразуются в новый формат только при их
      сохранении, а не сразу после установки WinRAR.

   3. При сохранении пароля в профиле архивации предлагается установить
      главный пароль. Введите главный пароль, если хотите зашифровать
      парольные данные в реестре и защитить их от неавторизованного доступа.
      После этого для доступа к такому профилю архивации потребуется
      вводить главный пароль.

      Будучи введённым, главный пароль действует до закрытия WinRAR.
      Если вы хотите посмотреть, как работает защита, то после того,
      как укажете главный пароль, закройте WinRAR и откройте его снова.

   4. По умолчанию для шифрования ZIP-архивов  WinRAR использует AES-256
      в режиме CTR. Алгоритм AES-256 значительно надёжнее, чем прежний
      алгоритм шифрования ZIP 2.0, однако он может быть несовместим
      с некоторыми старыми программами распаковки ZIP-архивов. Если
      требуется обеспечить совместимость с таким ПО, то включите параметр
      "Традиционное (устаревшее) шифрование ZIP" в окне ввода пароля или
      укажите ключ -mezl в командной строке.

   5. Добавлена поддержка распаковки архивов .LZ, созданных упаковщиком Lzip.

   6. Современные TAR-утилиты способны сохранять внутри архивов TAR время
      файлов с высокой точностью, длинные имена файлов и особые расширенные
      заголовки PAX. Теперь WinRAR поддерживает такие PAX-заголовки и
      использует их при распаковке архивов TAR.

   7. На странице "Время" в окне архивирования добавлен параметр "Сохранять
      время изменения файлов", позволяющий отключить сохранение времени
      модификации файлов в архивах RAR 5.x. Параметр "Сохранять точное время
      изменения файлов" заменён на "Формат времени высокой точности".

   8. В окне настроек программы на вкладке "Общие" добавлен параметр
      "Полные пути в заголовке". Если он включён, то в заголовке окна WinRAR
      отображается полный путь к открытой в данный момент папке или архиву.

   9. В окне настроек программы добавлена вкладка "Архивы", содержащая группу
      параметров "Типы файлов, открываемых сначала как архивы". Здесь можно
      определить, как нужно обрабатывать в списке файлов WinRAR файл
      с не-архивным расширением и архивное содержимое при нажатии на нём Enter
      или двойном щелчке мышью. Примеры таких файлов – документы Microsoft Word
      (.docx) и самораспаковывающиеся архивы (.exe). На этой вкладке можно
      указать WinRAR, чтобы он открывал такие файлы как архивы, запускал их,
      обрабатывал их так же или иначе внутри и вне архивов, никогда
      не запускал файлы указанных типов, даже если они не содержат никакого
      архивного содержимого.

      По умолчанию WinRAR открывает самораспаковывающиеся exe-архивы и
      запускает архивы других типов с не-архивными расширениями.

      Вне зависимости от этих параметров, любой такой архив можно всегда
      открыть, нажав Ctrl+PgDn на его имени в списке файлов WinRAR.

      Папки по умолчанию для архивов и для извлекаемых файлов перемещены
      с вкладки "Установки/Архивация" на вкладку "Установки/Пути".

  10. Новая команда "Скопировать полные имена в буфер обмена" в меню "Файл",
      позволяющая копировать в буфер обмена полные имена выбранных файлов.

  11. Изменения в контекстном меню, вызываемом правой кнопкой мыши в списке
      файлов WinRAR:

      а) из этого меню удалено несколько команд, имеющихся на панели
         инструментов или в главном меню, такие как "Просмотр" и "Исправить";

      б) добавлена команда "Скопировать полные имена в буфер обмена";

      в) добавлены команды "Выполнить" для исполняемых файлов, "Открыть в
         ассоциированном приложении" для ассоциированных файлов, "Показать
         содержимое архива" для архивов. Эти команды позволяют выбрать
         способ обработки самораспаковывающихся (SFX) архивов и архивов
         с нестандартными расширениями.

         Данные пункты присутствуют только в режиме управления файлами,
         внутри архивов они недоступны.

  12. В окне настроек программы на вкладке "Интеграция" добавлены LZ и ZIPX.

  13. В стандартный список форматов (который используется, если не указано
      никаких параметров) для ключа -ms ("Расширения файлов для архивирования
      без сжатия") добавлены расширения LZ и ZIPX.

  14. Для ключа -sc можно указывать значение 'f', чтобы использовать
      кодировку UTF-8. Например, если нужно прочитать содержимое файла
      filelist.txt как текст в кодировке UTF-8, введите:

      rar a -scfl arcname @filelist.txt

  15. Команды RAR "lt" и "vt" показывают время файлов с наносекундной
      точностью. Такая точность используется в архивах RAR5, созданных
      с помощью RAR/Unix 5.50 и новее. В архивах, созданных с помощью
      WinRAR, время файлов имеет 100-наносекундную точность.

  16. Теперь ключ -ts поддерживает только модификаторы точности '+', '-'
      и '1'. Модификатор '+' сохраняет время файлов с максимальной точностью,
      '-' опускает время файлов, а '1' сохраняет его с секундной точностью.
      Ранее имевшиеся промежуточные режимы '2' и '3' недоступны в формате
      архивов RAR 5.0 и игнорируются ключом -ts.

  17. Если при извлечении зашифрованного файла из архива RAR5 был введён
      неверный пароль, WinRAR предлагает ввести правильный пароль для
      того же файла снова, а не прерывает распаковку.

  18. В окне хода операции при наведении курсора мыши на имя архивируемого
      файла отображается информация о пути файла.

  19. В окне архивирования выше кнопки "Профили..." отображается имя
      используемого в данный момент профиля упаковки.

  20. Если команда поиска файлов вызвана из подпапки в архиве, поле
      "Искомые имена файлов" будет включать путь к этой вложенной папке.
      Таким образом, поиск будет начинаться с этой подпапки.

  21. Исправлены ошибки:

      а) устранены сбой и уязвимость в системе безопасности при распаковке
         повреждённых архивов RAR;

      б) WinRAR не мог распаковывать файлы из архивов ZIP, если было
         использовано сжатие по алгоритму XZ и шифрование AES;

      в) если в настройках WinRAR был выключен параметр "Индикаторы Windows"
         и использовался режим архивирования "Помещать каждый файл в
         отдельный архив", то "золотистая" часть индикатора общего хода
         выполнения неверно показывала соотношение сжатия;

      г) ход распаковки SFX-архивов был неверным, если самораспаковывающийся
         архив – многотомный, и общий размер его томов превышал 4 ГБ;

      д) если имя папки в архиве содержит пробелы в конце, а пользователь
         выбрал и извлекает ряд папок в не-корневой папке архива, и при этом
         выключен параметр распаковки "Разрешить потенциально несовместимые
         имена", то WinRAR мог терять один или несколько конечных символов
         в имени извлечённой папки;

      е) если в архиве RAR5 было сохранено только время создания или только
         время последнего доступа к файлу с секундной точностью, например
         с помощью ключей -ma5 -tsm- -tsa1, то такое сохранённое время
         игнорировалось при извлечении.


   Версия 5.40

   1. Подменю "Кодировка имён" в меню "Параметры" позволяет выбирать
      кодировку для имён файлов в архиве. Выбор влияет на просмотр
      содержимого архива и команды извлечения. Для быстрого доступа
      в это меню можно использовать сочетание клавиш Ctrl+E.

      Данная функция может понадобиться при распаковке архива без имён
      файлов в Юникоде. Пример: распаковка zip-архива с именами файлов
      на китайском языке в среде Windows, где языком для программ,
      не поддерживающих Юникод, выбран русский.

   2. Если в папке с обычными томами RAR также присутствуют тома для
      восстановления (файлы .rev), то команда тестирования архива после
      завершения проверки файлов .rar будет проверять содержимое rev-файлов.

      Если вы хотите протестировать только файлы .rev, не проверяя
      тома .rar, то выберите файлы .rev в списке файлов WinRAR и примените
      команду тестирования только к ним, либо выполните в командной строке
      следующую команду:

         rar t arcname.part1.rev

   3. Файловая система NTFS позволяет давать файлам имена с пробелами и
      точками в конце, однако множество Windows-программ не умеют корректно
      обращаться с такими именами. Если параметр "Разрешить потенциально
      несовместимые имена" на вкладке "Дополнительно" в окне "Путь и
      параметры извлечения" выключен, то WinRAR при извлечении удаляет
      пробелы и точки в конце имён файлов, если они там имеются.

      По умолчанию этот параметр выключен.

      Консольная версия RAR при извлечении также удаляет пробелы и точки в
      конце имён файлов, если только в командной строке не указан ключ -oni.

   4. Ранее при выборе метода обновления "Синхронизировать содержимое архива"
      (или указания ключа -as в командной строке) работа прерывалась, если
      не удавалось прочитать некоторые из архивируемых папок. Теперь WinRAR
      продолжает выполнять операцию и сохраняет файлы в архиве в соответствии
      с нечитаемыми папками.

   5. Команду удаления Shift+Del в WinRAR можно использовать для удаления
      папок, содержащих файлы с нестандартными именами, оканчивающимися
      пробелами или точками. Обычное удаление в Корзину, так же как и
      Shift+Del в предыдущих версиях WinRAR не могли удалять такие папки.

      В отличие от Del, команда Shift+Del удаляет файлы окончательно,
      не перемещая их в Корзину. Для файлов с атрибутами "Только чтение"
      и системными никаких дополнительных запросов не выдаётся.

   6. Копировать или распаковывать папки можно их перетаскиванием из
      панели с деревом папок в другие программы или на рабочий стол. Чтобы
      распаковать весь архив, перетащите его значок в корне дерева папок.

   7. В окне извлечения при нажатии кнопки "Новая папка" предлагается имя
      новой папки на основе имени архива, а не нейтральное "Новая папка".

   8. Информация о версии в консольном RAR:

      а) если указан ключ -iver, то RAR показывает номер версии и прекращает
         работу; можно просто выполнить команду "RAR -iver";

      б) RAR для Windows в информации о версии отображает "x86" или "x64"
         и при использовании ключа -iver, и в заголовке с авторскими
         правами для других команд.

   9. Если ключ -p указан без необязательного параметра <пароль>, то пароль
      можно задать перенаправлением файла или конвейеризацией.

      Пример: rar -p myarc.rar myfiles < psw.txt

  10. Консольная версия RAR рассматривает 'arcname.partN' как
      'arcname.partN.rar', если 'arcname.partN' не существует, а
      'arcname.part#.rar' существует.

      Например, можно выполнить команду

         RAR x arcname.part01

      для распаковки архива arcname.part01.rar

  11. Улучшения поддержки архивов 7z:

      а) команда "Информация" в WinRAR корректно определяет и показывает
         у 7z-архивов статус "Непрерывный";

      б) команда "Информация" в WinRAR показывает у 7z-архивов LZMA и LZMA2
         размер словаря;

      в) неизвестный упакованный размер для файлов внутри непрерывного блока
         7z обозначается как '?' вместо '0' при просмотре содержимого
         архива в WinRAR.

  12. Максимальная длина комментария для архивов RAR увеличена с 64 до 256 КБ.

      Так как в комментарии архива хранятся команды сценариев SFX, это
      увеличение позволяет включать в самораспаковывающиеся архивы более
      длинные основной текст и информацию о лицензии.

  13. Стандартный размер шрифта в окне просмотра WinRAR корректно
      увеличивается, если в Windows выбран режим экрана с высоким DPI.

  14. Ключ -scul можно применять для обработки списков файлов в кодировке
      UTF-16 с порядком байтов big-endian (UTF-16BE) при условии, что они
      имеют корректную метку порядка байтов. Ранее поддерживались только
      списки файлов с порядком little-endian.

  15. Теперь минимально поддерживаемая версия Windows – это Windows XP SP3.
      WinRAR не будет работать в Windows XP без установленных пакетов
      обновления.

  16. Удалён параметр "Установки/Список файлов/Не изменять регистр букв
      в именах". Этот параметр предназначался для облегчения перехода
      с MS-DOS на Windows и больше не требуется.

  17. Исправлены ошибки:

      а) команда "Добавить в архив и отправить по e-mail" в 64-разрядной
         версии WinRAR 5.31 не работала с Microsoft Outlook x64;

      б) если WinRAR 5.31 для одного из языков с направлением справа налево
         был установлен в Windows с английским или другим системным языком,
         где направление письма – не справа налево, то WinRAR мог изменить
         макет Проводника Windows на соответствующий письму справа налево;

      в) если архив находился в папке с запретом записи, а содержимое архива
         извлекалось методом перетаскивания в папку, допускающую запись, то
         WinRAR выдавал ненужный запрос на повышение привилегий.


   Версия 5.31

   1. Исправлены следующие проблемы, возникавшие в Windows в режимах с высоким
      разрешением экрана:

      а) если в настройках Windows был выбран размер шрифта 150% или больше,
         размер шрифта в справке WinRAR не увеличивался соответствующим
         образом, из-за чего текст отображался слишком мелким;

      б) стандартная ширина колонок в списке файлов WinRAR была меньше
         ожидаемой, если в Windows был выбран размер шрифта 125% и более.

   2. Улучшения интерфейса для языков с направлением письма справа налево:

      а) правильное выравнивание текста в простых запросах WinRAR, например
         при подтверждениях удаления файлов из архива или очистки отчёта;

      б) кнопки "OK", "Отмена", "Справка" в диалоговых окнах с несколькими
         вкладками, например, в окнах с настройками архивирования и извлечения
         или в окне настроек WinRAR, имеют правильное выравнивание и переведены
         на язык, используемый в Windows по умолчанию.

   3. Исправлены ошибки:

      а) SFX-модуль WinRAR мог загружать DLL-библиотеки из своей собственной
         папки с исполняемым файлом в результате вызова некоторых API-функций
         Windows. Это было чревато угрозой безопасности, если в папке
         с SFX-архивом хранились DLL-файлы со злонамеренным кодом.
         Теперь SFX-модуль предпринимает дополнительные меры для предотвращения
         такой ситуации в Vista и более новых версиях Windows.

         Имейте, однако, в виду, что данная проблема остаётся по-прежнему
         актуальной для тех, у кого в системе не установлены новейшие
         обновления безопасности, а также для пользователей Windows XP, поэтому
         им необходимо быть особенно осторожными: при запуске SFX-архива нужно
         убедиться, что в папке с ним не содержится злонамеренных DLL-файлов;

      б) WinRAR 5.30 не мог запускать файлы .lnk из списка файлов.


   Версия 5.30

   1. Появившаяся в сентябре и октябре 2015 года на новостных сайтах в
      Интернете информация о критической уязвимости в самораспаковывающихся
      архивах WinRAR не соответствует действительности. К сожалению, работники
      прессы не удосужились выяснить, что описанное ими не имеет отношения
      к WinRAR, а связано с уязвимостью в Windows OLE, для которой компания
      Microsoft выпустила исправляющее обновление в ноябре 2014 года:

      https://technet.microsoft.com/en-us/library/security/ms14-064.aspx

      Однако даже если данное обновление не установлено, эта уязвимость
      в Windows OLE не вносит новых факторов риска в SFX-архивы WinRAR.

      См. подробности здесь: http://rarlab.com/vuln_sfx_html2.htm

      Никаких патчей для WinRAR не требуется.

   2. Добавлена распаковка архивов ZIP из нескольких частей, созданных
      архиватором 7-Zip. Эти архивы имеют расширения .zip.001, .zip.002 и т.д.
      Чтобы просмотреть содержимое такого архива или распаковать его, нужно
      открыть в WinRAR файл с расширением .zip.001. Перед началом извлечения
      необходимо убедиться, что все части архива находятся в одной папке.

   3. Добавлена распаковка файлов, разделённых на несколько частей и имеющих
      расширения .001, .002 и т.д. Вы можете открыть файл .001 как обычный
      архив и затем распаковать его содержимое. WinRAR объединит все части
      и сохранит их в извлечённый файл. Перед началом извлечения необходимо
      убедиться, что все части находятся в одной папке.

      В список ассоциирования WinRAR с типами файлов в окне
      "Установки/Интеграция" добавлен элемент "001".

   4. Для перемещения по недавно посещённым папкам в списке файлов WinRAR
      можно использовать кнопки мыши "Вперёд/Назад", а также клавиши
      Alt+Влево и Alt+Вправо.

   5. В командной строке RAR в путях к архиву можно использовать шаблоны
      папок. Например:

      rar a backup c:\backup\2015*\*

      Для таких папок с символами подстановки автоматически включается
      рекурсивный режим, даже если не был указан ключ -r.

   6. Кнопка "Извлечь" в SFX-архиве изменяется на "Приостановить", когда
      извлечение уже началось, так что теперь распаковку SFX можно
      приостанавливать и возобновлять.

   7. В окне поиска файлов добавлен параметр "Пропускать зашифрованные",
      позволяющий без выдачи сообщений пропускать зашифрованные архивы
      при выполнении команды поиска.

   8. Команда тестирования архивов работает с tar.gz, tar.bz2 и tar.xz.
      Так как формат TAR не предоставляет проверочные контрольные суммы
      файлов, WinRAR проверяет только целостность контейнера GZIP, BZIP2
      и XZ.

   9. В случае тысяч ошибок добавление каждой новой строки в окне
      диагностических сообщений WinRAR могло происходить долго и
      замедляло операцию. Теперь всё работает быстро вне зависимости
      от количества ошибок.

  10. Новый объект 'R' для ключа -sc определяет кодировку сообщений
      консольного RAR, перенаправляемых в файлы и конвейеры.
      Например, команда

      rar lb -scur data > list.txt

      создаст файл list.txt в Юникоде с именами заархивированных файлов.

  11. Параметр времени простоя в ключе -ri<приоритет>[:<время_простоя>]
      изменён для снижения его влияния на производительность RAR и
      особенно на операции, связанные с данными для восстановления.
      Большие значения времени простоя необходимы для снижения нагрузки
      на систему до того же уровня, как в предыдущих версиях.

  12. Команды "l" и "v" в консольном RAR выводят время в формате ГГГГ-ММ-ДД.

  13. При распаковке архивов RAR и ZIP, созданных в среде Unix, WinRAR
      преобразует юникодные составные символы из decomposed в precomposed.
      Такое преобразование необходимо для некоторых архивов, созданных
      в Unix и OS X, чтобы можно было корректно распаковать в Windows файлы
      с не-английскими символами в именах. Работает в Windows начиная
      с версии Vista.

  14. Время изменения устанавливается для всех папок, создаваемых при
      распаковке архивов .7z. Предыдущие версии устанавливали это время
      только для непустых папок.

  15. WinRAR не позволяет компьютеру переходить в режим сна по истечении
      заданного времени неактивности, пока не будет завершена текущая
      операция – архивирование, распаковка или другая обработка архива.

  16. Общий ход выполнения теперь отображается при распаковке архивов
      .arj, .lzh и .cab (за исключением многотомных архивов).

  17. Индикатор выполнения теперь отображается при удалении файлов после
      архивирования и при снятии атрибута "Архивный" у заархивированных
      файлов.

  18. Команда "Тест" также проверяет содержимое альтернативных потоков
      данных в архивах RAR 3.x-5.x. Ранее их содержимое проверялось
      только при работе команды распаковки.

  19. SFX-модуль устанавливает переменную среды sfxstime, содержащую
      время запуска этого модуля в формате "ГГГГ-ММ-ДД-ЧЧ-ММ-СС-мс".
      Её можно указать к команде Path, если требуется генерировать уникальный
      путь установки на основе времени, например, так: "Path=myapp-%sfxstime%".

  20. Исправлены ошибки:

      а) консольная версия RAR вызывала сбой вместо вывода запроса на
         перезапись при попытке добавить файлы в уже существующие тома;

      б) команда "lt" в консольном RAR не показывала секунды у времени файлов;

      в) WinRAR не мог распаковывать файлы .xxe, если в их теле не было
         строки "section N of xxencode";

      г) WinRAR не мог восстанавливать содержимое альтернативного потока
         данных NTFS, сохранённого ключом -os, если тот был разделён
         между разными томами.


   Версия 5.21

   1. Параметры "Контекстное меню при перетаскивании" в окне "Установки/
      Интеграция/Элементы контекстного меню" позволяют отключать команды
      архивирования и извлечения WinRAR в контекстном меню, отображаемом
      при перетаскивании файлов с нажатой правой кнопкой мыши.

   2. Если в папке с программой установки WinRAR имеется файл winrar.ini,
      он будет скопирован в программную папку WinRAR по окончании установки.

   3. Предыдущие версии могли создавать тома RAR5 чуть меньшего размера, чем
      заданный. Сейчас это менее вероятно – в большинстве случаев размер
      томов соответствует значению, указанному пользователем.

   4. Теперь при извлечении WinRAR по умолчанию пропускает символические
      ссылки с абсолютными путями в целевом объекте ссылки. Чтобы включить
      создание таких ссылок, используйте параметр "Разрешить абсолютные
      пути в символических ссылках" на странице "Дополнительно" диалогового
      окна извлечения, либо ключ -ola в командной строке.

      Такие ссылки, указывающие на папки вне целевой папки извлечения,
      могут представлять угрозу безопасности. Разрешайте их извлечение,
      только если уверены, что содержимое архива безопасно, например,
      когда это созданная вами же резервная копия данных.

   5. Исправлены ошибки:

      а) WinRAR 5.20 выдавал ненужный запрос контроля учётных записей (UAC)
         при запуске исполняемого файла из архива, находящегося в защищённой
         UAC папке. Поскольку в такой ситуации в папку с архивом ничего
         не извлекается, запрос UAC не нужен;

      б) WinRAR мог перезаписывать файлы с атрибутом "Только чтение" только
         при распаковке архивов RAR и ZIP. Теперь эта возможность реализована
         и для других форматов архивов, поддерживаемых WinRAR;

      в) неверно выводились прошедшее и оставшееся время для команды
         "Преобразовать" при обработке нескольких архивов и включённом
         параметре "Добавить данные для восстановления".


   Версия 5.20

   1. Если контроль учётных записей пользователя в Windows (User Account
      Control, UAC) препятствует командам извлечения или архивирования
      в создании файлов в системных защищённых папках, WinRAR пытается
      запустить ещё одну свою копию с правами администратора, чтобы завершить
      операцию. Чтобы разрешить запуск второй копии WinRAR, необходимо
      подтвердить повышение прав доступа в запросе UAC.

   2. Можно перетащить файлы в Проводнике с нажатой правой кнопкой мыши
      в какую-либо папку и выбрать в контекстном меню команды архивирования
      WinRAR, чтобы создать архив с этими файлами в целевой папке.

   3. Хранить настройки WinRAR можно не реестре, а в файле WinRAR.ini.
      Это может пригодиться, если предполагается установить WinRAR на
      сменный носитель, например, на USB-флешку, чтобы затем использовать
      на разных компьютерах.

      См. подробности в параграфе "Файл WinRAR.ini" раздела "Параметры
      конфигурации" в справке WinRAR.

   4. Добавлена поддержка распаковки архивов ZIP и ZIPX, использующих
      алгоритм сжатия XZ.

   5. Если архив ZIP или ZIPX содержит какие-либо алгоритмы сжатия кроме
      обычных "Store" или "Deflate", названия алгоритмов отображаются
      в поле "Версия для извлечения" в окне с информацией об архиве.
      Алгоритмы, названий которых WinRAR не знает, будут показаны как
      "m<число>", где "число" – числовой идентификатор алгоритма сжатия.

   6. В контекстных меню Windows для архивов, форматы которых поддерживает
      WinRAR, доступна команда "Открыть в WinRAR". Её можно отключить
      с помощью параметра "Открыть в WinRAR (для обычных архивов)" в окне
      настроек WinRAR на вкладке "Интеграция", кнопка "Элементы контекстного
      меню".

   7. Версия RAR для командной строки может считывать принимаемый по умолчанию
      набор ключей из файла rar.ini, находящегося в папке с программой RAR.
      Ранее с помощью строки "switches=<ключи>" можно было задавать только
      набор ключей, единый для всех команд RAR. Теперь посредством файла
      rar.ini можно указывать свои наборы ключей для отдельных команд.
      Синтаксис следующий:

      switches_<команда>=<любые ключи RAR, разделённые пробелами>

      Например:

      switches_a=-m5 -s
      switches_x=-o+

   8. Команда "ch" поддерживает ключи -tl, -cu, -cl также для архивов ZIP.
      Ранее с "ch" можно было использовать эти ключи только для формата RAR.

   9. Если архивный формат не имеет информации о времени файлов (например,
      такие форматы, как .bz2, .xz и .Z), для извлекаемых файлов WinRAR
      устанавливает время модификации архивного контейнера. Это не относится
      к форматам tar.bz2, tar.xz и tar.Z, у которых сведения о времени
      файлов хранятся в заголовках tar.

  10. Параметр "Не удалять файлы, извлечённые с ошибками", теперь
      поддерживается при распаковке архивов bzip2.

  11. Значок WinRAR в контекстных меню Windows корректно масштабируется
      в экранных режимах с высоким DPI, например, при увеличении размера
      шрифта до 150% или 200% от стандартного.

  12. Теперь можно отключить в WinRAR команду "Тест быстродействия" с помощью
      переменной "Benchmark" в ключе реестра
      HKEY_CURRENT_USER\Software\WinRAR\Policy. В многопользовательской
      среде использование этой команды может неблагоприятно влиять
      на совместные вычислительные ресурсы. См. подробности в параграфе
      "Переменные в системном реестре" в разделе "Параметры конфигурации"
      справки WinRAR.

  13. Помимо переменной "sfxcmd", содержащей всю командную строку, SFX-модуль
      устанавливает переменную "sfxpar" только с параметрами командной строки,
      без имени SFX-модуля в начале. Эти переменные устанавливаются до
      запуска программы, указанной в команде "Setup".

  14. При запросе перезаписи файла консольная версия RAR показывает размер
      и время модификации имеющегося и нового файлов.

  15. При архивировании с stdin (ключ -si) RAR присваивает архивируемому
      файлу время модификации по текущему системному времени.
      Предыдущая версия не устанавливала это время вообще.

  16. Теперь можно использовать ключи -si и -v<размер> вместе. Предыдущие
      версии не позволяли создавать тома при архивировании с stdin.

  17. В начале распаковки файла размером 4 ГБ и более из архива RAR или ZIP
      на разделе с файловой системой FAT 32 выдаётся предупреждение,
      чтобы пользователь мог отменить операцию, поскольку FAT32
      не поддерживает файлы столь большого размера.

      Это предупреждение также выводится перед созданием RAR-архива методом
      "Без сжатия" (-m0), если предполагаемый размер архива составляет
      4 ГБ и более.

  18. Кнопка "Выбрать все" в окне "Установки/Интеграция" переименована
      в "Переключить все". Теперь она снимает пометки с форматов, если они
      уже выбраны.

  19. Параметр "Удаление архива" при извлечении корректно удаляет все тома
      .zip и .7z. Ранее при работе с этими архивными форматами удалялся
      только первый том из набора.


   Версия 5.11

   1. WinRAR способен распаковывать архивы TAR, содержащие папки с расширенными
      заголовками pax. Предыдущие версии их распаковывать не умели.

   2. Используемый при распаковке параметр "Не удалять файлы, извлечённые
      с ошибками" теперь поддерживается для архивов 7-Zip.

   3. Исправлены ошибки:

      а) WinRAR 5.10 не устанавливал файловые атрибуты "скрытый",
         "только чтение" и "системный" при распаковке архивов ZIP;

      б) WinRAR 5.10 не мог обновлять самораспаковывающиеся архивы RAR,
         содержащие вложенные архивы ZIP с нулевым сжатием;

      в) архив ZIP, созданный с параметром "Не сохранять пути", включал
         ненужные пустые записи имён для папок;

      г) у файлов в архиве могла быть ошибка в 1 час во времени изменения
         в среде Windows XP;

      д) удаление файла в непрерывном архиве RAR5, содержащем файлы,
         сохранённые с ключом -ver, приводило к потере у таких файлов
         информации о версиях;

      е) если в Windows выбраны 16- или 24-разрядный цветовой режим экрана
         и размер шрифта более 100%, то вместо кнопок на панели инструментов
         отображались чёрные прямоугольники.


   Версия 5.10

   1. Добавлена поддержка распаковки архивов ZIP и ZIPX с методами сжатия
      BZIP2, LZMA и PPMd.

   2. Добавлена поддержка распаковки разделённых на части архивов 7z
      (.7z.001, .7z.002, ...).

   3. Добавлена поддержка процессорных инструкций AES-NI, позволяющих
      увеличить скорость шифрования и дешифрования RAR.

   4. Увеличены изображения в стандартной теме оформления для лучшего
      отображения в режиме экрана с высоким значением DPI.

   5. В поле "Добавляемые файлы" диалогового окна архивирования можно
      использовать переменные среды, например, %temp%.

   6. Ключ -ai можно использовать при создании архива RAR, чтобы
      вместо действительных атрибутов сохранялись предустановленные значения,
      типичные для файла и папки.
      Ранее этот ключ можно было применять только при извлечении.


   Версия 5.01

   1. Архивы RAR 5.0 могут включать в себя дополнительную информацию для
      быстрого открытия – это зависит от ключа -qo[-|+] или группы параметров
      "Информация для быстрого открытия архива" в диалоговом окне
      архивирования. Благодаря данной возможности WinRAR быстрее считывает
      содержимое архивов.

      В этой версии увеличена скорость обновления архивов, содержащих как
      информацию для быстрого открытия, так и служебные записи, например,
      данные о правах доступа NTFS. Кроме того, принимаемые по умолчанию
      параметры информации для быстрого открытия оптимизированы для ещё
      более быстрого открытия таких архивов.

   2. Исправлены ошибки:

      а) команда поиска могла давать ошибку при попытке найти текстовую
         строку в архивах .7z;

      б) при открытии архива RAR 5.0 с зашифрованными именами файлов, который
         хранится в другом таком архиве, WinRAR мог ошибочно сообщать
         о неверном пароле. Такое происходило, только если пароли для
         внутреннего и внешнего архива были разными. На извлечение файлов
         это не влияло, все файлы распаковывались нормально вне зависимости
         от сообщения о неверном пароле;

      в) параметр "Использовать для всех архивов" в диалоговом окне ввода
         пароля не подавлял дополнительные запросы пароля для архивов
         RAR 5.0 с зашифрованными именами файлов;

      г) в адресной строке WinRAR неверно обрабатывались пути с использованием
         переменных среды, например, %temp%;

      д) сохранение прав доступа NTFS и файловых потоков не работало для
         файлов с путями длиннее 260 символов;

      е) команда "Тест" могла ошибочно сообщать о повреждении корректных
         данных для восстановления, если тестировалась только часть файлов
         в архиве RAR 5.0. При тестировании всего архива такого не происходило;

      ж) команда "Тест" ошибочно сообщала об ошибках при проверке
         символических ссылок Unix в RAR 4.x;

      з) команда WinRAR "Просмотр" не работала для файлов внутри архивов BZIP2;

      и) если был выключен параметр "Сохранять точное время изменения файлов"
         в диалоговом окне архивирования, WinRAR вообще не сохранял время
         изменения, хотя должен был сохранять его с низкой точностью;

      к) целевые пути, содержащие компонент ".\" или "..\", не работали
         при распаковке отличных от RAR архивов с помощью WinRAR в режиме
         командной строки;

      л) WinRAR не распаковывал многотомные архивы CAB.


   Версия 5.00

   1. Новый формат архивирования RAR 5.0. Чтобы создавать архивы RAR 5.0,
      используйте параметр "RAR 5.0" в диалоговом окне архивирования
      или ключ -ma в командной строке.

      Старые программы, включая предыдущие версии WinRAR, неспособны
      распаковывать архивы RAR 5.0, поэтому если предполагается отправлять
      архив другим пользователям, следует учитывать вопросы совместимости.
      Чтобы создавать архивы RAR 4.x, совместимые с предыдущими версиями
      WinRAR, в диалоговом окне архивирования вместо "RAR5" следует выбирать
      параметр"RAR".

   2. Изменения в алгоритме сжатия RAR 5.0:

      а) максимальный размер словаря сжатия в 64-разрядной версии WinRAR
         увеличен до 1 ГБ. В 32-разрядной версии WinRAR при создании
         архива можно использовать словарь размером до 256 МБ.
         Обе версии – 32- и 64-разрядная – способны распаковывать архивы
         с любым размером словаря, включая 1 ГБ;

      б) размер словаря для RAR 5.0 по умолчанию составляет 32 МБ, при котором,
         как правило, степень сжатия выше, а скорость архивирования ниже, чем
         у RAR 4.x со словарём 4 МБ. Чтобы изменить размер словаря, используйте
         параметр "Размер словаря" в диалоговом окне архивирования или ключ
         -md<размер> в командной строке;

      в) изменён синтаксис ключа -md<размер> для поддержки словарей большего
         размера. Чтобы указать размер в кило-, мега- и гигабайтах, добавляйте
         модификаторы 'k', 'm' и 'g' соответственно. Например, для словаря
         размером 64 МБ это будет ключ -md64m.
         Если модификатор отсутствует, подразумевается размер в мегабайтах,
         то есть ключи -md64m и -md64 эквивалентны;

      г) в формате RAR 5.0 реализованы алгоритмы упаковки исполняемых файлов
         Intel IA-32 и дельта-сжатия, но не поддерживаются алгоритмы RAR 4.x
         для сжатия текста, аудио, полноцветной графики и исполняемых файлов
         Itanium. Эти исключённые алгоритмы уже неэффективны для современных
         типов данных и аппаратных конфигураций;

      д) при распаковке RAR 5.0 могут использоваться несколько ядер ЦП.
         Это даёт увеличение производительности не столь сильное, как
         при сжатии, но повышает скорость распаковки больших файлов с плохо
         сжимаемыми данными или при использовании контрольных сумм BLAKE2.

   3. Изменения в архивном формате RAR 5.0:

      а) времена файлов хранятся во всемирном координированном времени (UTC),
         а не в локальном времени, как это было ранее, благодаря чему
         упрощается обмен файлами между пользователями, находящимися в разных
         часовых поясах;

      б) имена файлов и архивные комментарии хранятся в кодировке UTF-8.

   4. Используемые в RAR 5.0 данные для восстановления основаны на кодах
      Рида-Соломона. Если объём данных для восстановления достаточно большой
      (5% и выше), новая схема коррекции ошибок обеспечивает значительно более
      высокую устойчивость к множественным повреждениям информации, нежели
      данные для восстановления в RAR 4.x. При использовании данных для
      восстановления меньшего объёма (1–2%) или в случае менее случайного
      повреждения информации разница в эффективности между 4.x и 5.0 будет
      менее заметна. В случае одиночного непрерывного повреждения
      эффективность восстановления 4.x и 5.0 примерно одинакова.

      Помимо обычных повреждений данных, новые данные для восстановления
      позволяют обнаруживать удаления и вставки гораздо большего размера,
      чем в предыдущих версиях RAR. Максимальный размер вставки составляет
      несколько мегабайт. Максимальный размер удаления зависит от типа
      повреждения и в некоторых случаях может быть равным размеру
      данных для восстановления.

      Тем не менее, наилучшие производительность и эффективность восстановления
      достигаются при отсутствии удалений и вставок данных, то есть когда вся
      информация, включая повреждённые сектора, находится на своей исходной
      позиции. Таким образом, если для копирования архива с повреждённого
      носителя вы пользуетесь каким-то особым ПО, лучше выбирать режим,
      при котором повреждённые сектора заменяются нулями или какими-либо
      другими данными, а не удаляются полностью из результирующего файла.

      Данные для восстановления RAR 5.0 более устойчивы и к повреждению
      самих себя, так что для восстановления информации можно использовать
      частично повреждённые данные для восстановления. Следует, однако,
      иметь в виду, что команда "Исправить" не восстанавливает повреждённые
      блоки в данных для восстановления. Восстановлению подлежат только
      файловые данные. После успешного восстановления архива следует создать
      для сохранённых файлов новые данные для восстановления.

      Новые данные для восстановления теперь не базируются на секторах
      размером 512 байт и включают более сложные структуры информации. Так,
      допускается указывать размер в секторах. Для архивов RAR 5.0
      параметр N ключа -rr[N] и команды rr[N] всегда интерпретируется как
      процент от размера архива вне зависимости от наличия символа %.
      Как правило, данные для восстановления N% способны восстановить
      до N% непрерывно расположенной повреждённой информации и увеличивает
      размер архива чуть более чем на N%. Возможность исправления нескольких
      повреждений пропорциональна N.

      Для улучшения производительности кодов Рида-Соломона мы использовали
      документ "Screaming Fast Galois Field Arithmetic Using Intel
      SIMD Instructions" (авторы James S. Plank, Kevin M. Greenan
      и Ethan L. Miller). Мы также выражаем признательность Артёму Дробанову
      и Булату Зиганшину за примеры и идеи, позволившие повысить
      эффективность кодов Рида-Соломона.

   5. Команда "Тест" проверяет целостность данных для восстановления
      RAR 5.0. Проверка данных для восстановления выполняется после
      обработки всех файлов в архиве.

      Если повреждённый архив содержит данные для восстановления, есть
      вероятность восстановить его даже в том случае, если не пройден тест
      целостности данных для восстановления. Команда "Исправить" пытается
      использовать даже частично повреждённые данные для восстановления.
      Поэтому непрохождение теста данных для восстановления следует
      считать причиной для повторного создания архива, если исходные файлы
      всё ещё доступны, но не причиной избегать команду "Исправить".

   6. Изменения в алгоритме шифрования RAR 5.0:

      а) алгоритм шифрования изменён с AES-128 на AES-256 в режиме CBC.
         Функция деривации ключа основана на PBKDF2 с использованием
         HMAC-SHA256;

      б) специальное значение проверки пароля позволяет определять
         большинство неверных паролей без необходимости распаковывать
         весь файл;

      в) если заголовки архива не зашифрованы (выключен параметр
         "Шифровать имена файлов"), контрольные суммы зашифрованных в
         RAR 5.0 файлов изменяются посредством особого, зависящего от
         пароля алгоритма, с целью сделать невозможным угадывание содержимого
         файлов по их контрольным суммам. Не ожидайте, что контрольные суммы
         зашифрованных файлов совпадут с действительными значениями CRC32 или
         BLAKE2.

   7. Архивы RAR 5.0 позволяют использовать хеш BLAKE2sp длиной 256 бит
      ( https://blake2.net ) вместо 32-разрядных контрольных сумм CRC32.
      Для этого включите параметр "Использовать контрольные суммы BLAKE2" на
      вкладке "Опции" диалогового окна архивирования или укажите в командной
      строке ключ -htb.

      При использовании BLAKE2 архивы получаются чуть большего размера, однако
      BLAKE2 позволяет точно идентифицировать содержимое файлов. Если два
      файла имеют одинаковое значение BLAKE2, это практически гарантия того,
      что одинаково и их содержимое.
      Кроме того, определение ошибок у BLAKE2 также более эффективное,
      чем у гораздо более короткого CRC32.

   8. Удалены функции:

      а) функция электронной подписи не обеспечивала должного уровня
         надёжности и была удалена;

      б) ключ -en (не добавлять блок "конец архива") не поддерживается
         в архивах RAR 5.0, у которых всегда есть блок конца архива.
         Этот блок помогает WinRAR безопасно пропускать такие добавленные
         к архиву внешние данные, как цифровые подписи;

      в) старый стиль расширений многотомных архивов вида имя_архива.rNN
         не поддерживается в архивах RAR 5.0, тома которых именуются
         только как имя_архива.partN.rar;

      г) комментарии файлов больше не поддерживаются в архивах RAR 4.x
         и RAR 5.0. В консольной версии RAR удалена команда 'cf'.
         Это не относится к поддержке комментариев архивов, присутствующей
         в обеих версиях архивов и удаление которой не планируется.

   9. Команда "Установить пароль" и параметр "Размер словаря" перенесены
      на вкладку "Общие" диалогового окна архивирования.

  10. Параметр "Сохранять символические ссылки как ссылки" на вкладке
      "Дополнительно" диалогового окна архивирования позволяет сохранять
      и восстанавливать символические ссылки и точки соединения NTFS как
      ссылки, чтобы их содержимое не архивировалось. Эквивалент этого
      параметра в командной строке – ключ -ol.

      Похожий параметр для жёстких ссылок NTFS – "Сохранять жёсткие ссылки
      как ссылки". Эквивалент в командной строке – ключ -oh.

      Оба параметра доступны только для архивного формата RAR 5.0.

  11. Добавлена возможность распаковки архивов формата XZ.

  12. Изменения в обработке томов для восстановления в архивах RAR 5.0:

      а) максимальное число томов RAR+REV в архивах формата RAR 5.0 составляет
         65535 (ранее – 255);

      б) операции с томами для восстановления выполняются быстрее, чем
         в RAR 4.x;

      в) помимо данных для восстановления, в REV-файлах RAR 5.0 также хранится
         такая служебная информация, как контрольные суммы защищённых
         RAR-файлов. Поэтому эти файлы чуть больше по размеру, чем тома RAR,
         которые они защищают. Это следует учитывать, если вы собираетесь
         копировать отдельные файлы RAR и REV на какой-либо сменный носитель:
         указывайте размер тома RAR на несколько килобайт меньше, чем объём
         носителя.

  13. Максимальная длина пути файлов в архивах RAR и ZIP увеличена до
      2048 символов.

  14. Версия RAR для командной строки возвращает код 11, если определяет, что
      пользователь ввёл неверный пароль. Этот код возвращается только для
      архивов RAR 5.0. В архивах RAR 4.x различить неверный пароль
      и повреждение данных невозможно.

  15. Команды 'v' и 'l' выводят имена содержащихся в архиве файлов в конце
      строки, а не в начале, как это было в предыдущих версиях. Кроме того,
      некоторые поля, ранее присутствовавшие в выводе команд 'l' и 'v',
      теперь отображаются только командами 'lt' и 'vt'.

      Команды 'vt' и 'lt' обеспечивают подробную многострочную информацию
      о каждом заархивированном файле.

      Команды 'vta' и 'lta' также включают в список служебные заголовки.

  16. Теперь файлы-списки для команд вроде 'rar a архив @файл_список'
      по умолчанию должны иметь кодировку ANSI как для WinRAR, так и для
      консольного RAR. В предыдущих версиях кодировка для WinRAR должна
      была быть ANSI, а для консольного RAR – OEM. Чтобы переопределить
      принимаемую по умолчанию кодировку, используйте ключ -sc<кодировка>l.

  17. Встроенное в WinRAR средство просмотра может определять и показывать
      файлы в кодировках UTF-8 и UTF-16 little endian.

  18. RAR и WinRAR сохраняют файл-протокол rar.log в кодировке
      UTF-16 little endian, поэтому в отчёте правильно сохраняются юникодные
      имена файлов. WinRAR автоматически отсекает старый файл rar.log в
      не-юникодном формате во избежание смешивания различных кодировок
      в одном и том же файле-протоколе. При использовании консольного RAR
      необходимо удалить старый файл rar.log самостоятельно, иначе
      RAR будет добавлять в имеющийся файл rar.log сообщения в кодировке
      UTF-16.

      С помощью ключа -sc<кодировка>g можно изменять кодировку файла-протокола,
      используемую по умолчанию. Например, укажите ключ -scag, чтобы протокол
      был в кодировке ANSI.

  19. Команда 'r' ("Исправить повреждённый архив") в командной строке может
      включать необязательный параметр 'целевой_путь\', задающий
      целевую папку для записи восстановленного архива:

      rar r архив.rar целевой_путь\


   Версия 4.20

   1. Изменения в сжатии RAR:

      а) общий алгоритм сжатия RAR оптимизирован для более эффективного
         использования процессоров с несколькими ядрами. Прирост скорости
         возможен даже в однопроцессорном режиме, но наилучшие результаты
         достигаются в многоядерном окружении.

         Прирост скорости зависит от типа данных и среднего размера файлов.
         Несколько ядер используются более эффективно при сжатии больших
         файлов.

      б) чтобы добиться увеличения скорости сжатия, нам пришлось повысить
         требования к памяти. Общий алгоритм сжатия RAR потребляет около
         120 МБ, тогда как в WinRAR 4.11 это значение равнялось 40 МБ;

      в) алгоритм сжатия текстов RAR не может эффективно использовать
         несколько ядер ЦП, поэтому его скорость в многопроцессорном
         окружении много ниже, чем у общего алгоритма сжатия. Кроме того,
         у него много ниже, чем у общего алгоритма, и скорость при
         распаковке, вне зависимости от количества ЦП. Поэтому мы решили
         по умолчанию отключить алгоритм сжатия текстов.

         Если вам требуется максимально возможное сжатие простых текстовых
         данных и не важна скорость, то вы можете включить алгоритм сжатия
         текста в диалоговом окне "Дополнительные параметры сжатия".
         Чтобы вызвать это окно, в диалоговом окне архивирования перейдите
         на вкладку "Дополнительно" и нажмите кнопку "Параметры сжатия...".
         Кроме того, можно изменить значение этого параметра постоянно в
         профиле архивации, применяемом по умолчанию.

         При использовании в режиме командной строки сжатие текста
         активизируется ключом -mct;

      г) режим сжатия "Скоростной" (-m1) теперь также использует несколько
         процессорных ядер. В версии 4.11 этот режим использовал только
         одно ядро ЦП.

   2. Слегка повышена скорость распаковки при использовании общего алгоритма
      RAR, хотя и не так сильно, как при сжатии. Распаковка RAR не может
      использовать несколько процессорных ядер, поэтому её скорость
      не зависит от их количества.

   3. Изменения в сжатии ZIP:

      а) теперь алгоритм сжатия ZIP поддерживает несколько процессорных ядер,
         поэтому скорость его работы в многоядерном окружении стала заметно
         выше. В однопроцессорных системах сжатие ZIP также более быстрое,
         чем у версии 4.11;

      б) потребление памяти при сжатии ZIP увеличилось примерно до 15 МБ.

   4. Операции по созданию и обработке томов для восстановления могут
      использовать несколько ядер ЦП и, таким образом, выполняться быстрее.
      Однако поскольку ограничивающий скорость фактор здесь - низкая
      скорость поиска у жёсткого диска, выигрыш в быстродействии будет
      сильнее всего заметен при использовании твердотельного (SSD) накопителя.

   5. Теперь в ключе -mt<потоки> допускается указывать значения 1 - 32,
      а не 0 - 16, как это было ранее.

   6. Команда "Найти файлы" может искать данные в архивах 7-Zip.
      Ранее архивный формат .7z команда "Найти файлы" не поддерживала.

   7. WinRAR и модули самораспаковки WinRAR больше не поддерживают
      операционную систему Windows 2000.

   8. Кнопка "Сохранить текущие параметры как стандартные" в диалоговом окне
      "Дополнительные параметры SFX" теперь доступна только при преобразовании
      уже существующего архива в SFX. Параметры, сохраняемые этой кнопкой,
      применяются только в операции преобразования в SFX.

      При создании или обновлении SFX-архива используются только SFX-параметры
      из профиля сжатия, принимаемого по умолчанию. Установки, сохранённые в
      диалоговом окне "Дополнительные параметры SFX", в операциях
      создания/обновления не используются.


   Версия 4.11

   1. Исправлены ошибки:

      а) WinRAR не сохранял NTFS-атрибут "Сжатый" при создании RAR-архивов;

      б) WinRAR давал сбой при использовании в режиме командной строки, если
         присутствовал параметр @список_файлов, но 'список_файлов'
         не существовал.
         Эта ошибка имела место только в WinRAR.exe, но не в RAR.exe;

      в) если при архивировании была указана маска исключения
         -x*\некая_папка\* и имя текущей папки содержало 'некая_папка',
         WinRAR исключал все файлы и останавливал создание архива;

      г) самораспаковывающиеся архивы с графическим интерфейсом (GUI)
         не работали в среде предустановки Windows (Windows Preinstallation
         Environment, Windows PE).


   Версия 4.10

   1. WinRAR позволяет создавать ZIP-архивы практически любого размера.

      Действовавшие в прошлых версиях WinRAR ограничения на размер ZIP-архива
      (2 ГБ максимум) и количество содержащихся в нём файлов (до 65 535 шт.)
      теперь неактуальны.

   2. WinRAR позволяет создавать многотомные ZIP-архивы, иногда также именуемые
      разделёнными (split) ZIP-файлами.

      Тома ZIP получают имена вида 'volname.zip', 'volname.z01', 'volname.z02'.
      Для всех операций с архивами, например, для начала извлечения файлов или
      для открытия архива, нужно использовать том с расширением ".zip".

      В отличие от томов RAR, тома ZIP не могут быть самораспаковывающимися.

      При создании или распаковке ZIP-томов требуется, чтобы WinRAR имел
      доступ сразу ко всем томам многотомного архива. Поэтому невозможно,
      скажем, создавать или распаковывать ZIP-тома на сменных дисках, по
      одному тому на диск. Необходимо создать все тома в одной и той же папке.

   3. Добавлена поддержка высокоточного времени файлов в ZIP-архивах.
      При работе с ZIP-архивами WinRAR может сохранять и извлекать время
      изменения, создания и последнего обращения к файлам с точностью
      100 наносекунд.

      Чтобы сохранить в архиве все три времени, нужно включить параметр
      "Сохранять точное время изменения файлов" на вкладке "Время" в
      диалоговом окне архивирования.
      Чтобы воссоздать времена у извлекаемых файлов, нужно включить
      соответствующие параметры в группе "Время файлов" на вкладке
      "Дополнительно" в диалоговом окне извлечения.

   4. Добавлена поддержка юникодных имён, хранящихся в дополнительном поле
      ZIP-архива. Различные ZIP-архиваторы сохраняют юникодные имена либо в
      заголовке файла, либо в дополнительном поле ZIP. Теперь WinRAR умеет
      правильно обрабатывать юникодные имена обоих типов.

   5. При работе с форматом ZIP теперь поддерживается параметр
      "Синхронизировать содержимое архива" и соответствующий ключ -as в
      командной строке.

   6. Изменения в поведении ключа -ag:

      а) ключ -ag теперь можно использовать со всеми командами RAR и WinRAR,
         а не только при архивировании;

      б) поведение форматирующего символа 'N' различается при операциях,
         относящихся и не относящихся к архивированию. При архивировании
         происходит инкрементное приращение, пока не будет обнаружено первое
         незанятое имя. При операциях, не связанных с архивированием, например,
         при извлечении, выбирается имеющийся архив с именем, предшествующим
         первому незанятому;

      в) форматирующий символ 'I' позволяет указывать минуты вне зависимости от
         наличия и расположения 'H' (часы) в форматирующей строке. Его можно
         использовать вместо 'M' (минуты), когда требуется поместить минуты
         перед часами или когда часы не нужны вовсе.

   7. По умолчанию WinRAR предлагает обновить архив, если программа просмотра
      изменила открытый файл или создала новые файлы. Новый параметр
      "Игнорировать изменения этих файлов" в диалоговом окне
      "Установки/Просмотр" позволяет отключить такое поведение. Вы можете
      указать в этом поле одну или несколько масок файлов, разделяя их
      пробелами, и WinRAR не будет выдавать запрос на обновление архива,
      если созданный или изменённый программой просмотра файл подпадает
      под действие одной из таких масок.

   8. Изменения в поле ввода размера томов. Теперь можно выбирать единицу
      измерения из выпадающего списка правее поля указания размера тома.
      По-прежнему поддерживается и предыдущий способ задания размера с помощью
      добавления к нему буквенных модификаторов ('k', 'm' и др.).

   9. Изменения в списке предустановленных размеров томов.
      Дискеты и ZIP-диски заменены томами по 5 и 100 МБ, добавлены новые
      пункты для максимального объёма файла в системе FAT32 и для дисков
      Blu-ray.

  10. Новый параметр "Уничтожать файлы, если задан пароль" на вкладке "Опции"
      в диалоговом окне архивирования. Если вы хотите, чтобы зашифрованные
      файлы уничтожались (затирались) всегда, то включите этот параметр в
      профиле архивирования по умолчанию.

  11. Новый параметр "Уничтожать временные файлы/Только зашифрованные" в
      диалоговом окне настроек программы на вкладке "Безопасность".
      Он позволяет использовать более медленное и более надёжное удаление
      временных файлов, извлечённых из архивов, которые WinRAR определил
      как зашифрованные. Для всех остальных временных файлов применяется
      быстрое удаление.

  12. Изменения в команде "Преобразовать архив(ы)":

      а) теперь стало возможным преобразовывать зашифрованные архивы. Ранее
         команда "Преобразовать архив(ы)" их пропускала.

         Если же вы хотите, чтобы такие архивы по-прежнему пропускались,
         то включите параметр "Пропускать зашифрованные архивы" в диалоговом
         окне "Преобразование архивов". Это может понадобиться, когда
         преобразование выполняется без присутствия пользователя, чтобы
         избежать остановок операции из-за запроса паролей;

      б) удалён особый тип архивов - "rar2", применявшийся для архивов RAR 1.x
         и 2.x. Теперь для преобразования всех версий RAR-архивов используется
         тип "rar".

         Поскольку команде преобразования больше не требуется определять
         версию RAR-архивов, начальный поиск архивов выполняется быстрее,
         то есть сокращается задержка появления диалогового окна
         "Преобразование архивов".

  13. Новый ключ -log[формат][=имя] для записи имён архива и файлов в отчёт
      при архивировании в форматы RAR и ZIP, а также при извлечении, удалении
      и выдаче списка содержимого для формата RAR.

      Этот ключ особенно удобен, когда нужна последующая обработка архива,
      созданного с ключами -ag или -v, так как -log предоставляет имя архива,
      созданное WinRAR.

  14. Новый ключ -@[+] для обработки всех параметров начиная с символа
      '@' либо как имён файлов (-@), либо как файлов-списков (-@+).

  15. SFX-параметры "Программа установки" в окне "Дополнительные параметры SFX"
      перемещены с вкладки "Общие" на новую вкладку "Установка".
      Оба поля ввода - "Выполнить после распаковки" и "Выполнить до
      распаковки" - теперь многострочные, то есть позволяют вводить несколько
      команд программы установки для одного и того же SFX-архива.

  16. Команда "SetupCode" сценария SFX, отдающая указание SFX-архиву, что
      нужно дождаться завершения работы программы установки и установить
      код возврата SFX-файла равным коду возврата программы установки,
      увеличенному на 1000.

      Эквивалент этой команды в графической оболочке - "Ждать и устанавливать
      код возврата" на вкладке "Установка" в диалоговом окне "Дополнительные
      параметры SFX".

  17. В SFX-команде "Shortcut" больше не поддерживается тип "S" (создать
      ярлык в верхнем уровне главного меню). Новейшие версии Windows
      не позволяют программам добавлять записи в верхний уровень главного
      системного меню.

  18. В диалоговых окнах архивирования и мастера можно указывать размер
      томов в виде десятичной дроби. Знак отделения дробной части от целой
      зависит от региональных настроек Windows.

      Дробные значения также можно указывать в ключе -v<размер> в командной
      строке. В командной строке в качестве десятичного знака всегда
      используется точка (.).
      Например, ключ -v1.5g задаёт размер 1,5 гигабайта.


   Версия 4.01

   1. Для архивов TAR добавлена поддержка файловых размеров, хранящихся в
      двоичном формате.
      В некоторых архивах TAR для файлов объёмом более 8 ГБ используется
      не восьмеричный, а двоичный формат размера.

   2. Исправлены ошибки:

      а) команда "Восстановить повреждённый архив" неверно реконструировала
         структуру архивов RAR, содержащих хотя бы один файл, упакованный
         размер которого превышал 4 ГБ.

         Эта ошибка не оказывала влияния на операции восстановления с
         использованием информации для восстановления. Она возникала только
         в том случае, если информация для восстановления отсутствовала, и
         WinRAR выполнял реконструкцию структуры архива;

      б) даже если в диалоге извлечения на вкладке "Дополнительно" по
         умолчанию был выбран параметр "Извлекать файлы без путей", WinRAR
         при вызове из контекстного меню Проводника Windows всё равно
         распаковывал файлы с путями;

      в) после ввода неправильного пароля для зашифрованного ZIP-архива
         WinRAR иногда игнорировал последующие попытки ввести пароль правильно;

      г) команда "Мастер" не позволяла создавать самораспаковывающиеся и
         многотомные архивы при архивировании одной папки или файла
         без расширения;

      д) команда "Импорт параметров из файла" не восстанавливала многострочные
         комментарии в профилях сжатия WinRAR;

      е) при преобразовании томов RAR с именами вида name1.name2.part#.rar,
         команда "Преобразовать архивы" ошибочно удаляла из имён часть ".name2".
         В результате архив получал имя name1.rar вместо ожидаемого
         name1.name2.rar;

      ж) RAR мог вызывать ошибку при создании архива с ключом -agNNN в том
         случае, если номер архива в сгенерированном имени был 110 или больше.

      з) WinRAR неверно отображал не-английские имена файлов в архивах 7-Zip,
         если в них использовалась кодовая страница, отличная от применяемой
         по умолчанию. Это была проблема лишь с отображением, распаковывались
         файлы с такими именами правильно.


   Версия 4.00

   1. Увеличена скорость распаковки архивов RAR. В зависимости от типа данных,
      распаковка может выполняться до 30% быстрее, чем в предыдущих
      версиях.

      Это улучшение затрагивает общий алгоритм сжатия RAR и особые
      методы RAR для сжатия мультимедийных данных. Единственный
      модуль алгоритма RAR, на который данное улучшение не распространяется,
      это метод "Сжатие текста".

   2. Изменения в поддержке образов ISO:

      а) поддержка UDF обновлена до версии UDF 2.50, благодаря чему стало
         возможным распаковывать большинство ISO-файлов Blu-ray;

      б) при просмотре содержимого ISO-файла UDF, после названия формата "UDF"
         в адресной строке WinRAR и в окне информации об архиве отображается
         номер версии UDF;

      в) при распаковке папок из файлов UDF и ISO9660, у этих папок WinRAR
         устанавливает дату изменения.

   3. Изменения в диалоге ввода пароля:

      а) WinRAR использует одинаковый формат диалога ввода пароля и при
         архивировании, и при извлечении, поэтому параметр "Отображать пароль"
         также доступен и при распаковке;

      б) добавлена кнопка "Упорядочить пароли..." в диалоге ввода пароля,
         вызывающая органайзер паролей, где можно указывать свои часто
         используемые пароли. Сохранённые пароли доступны в выпадающем списке,
         а также как результат действия функции автодополнения в окне ввода
         пароля.

         Важно помнить, что сохранённые пароли не зашифрованы, поэтому
         их может увидеть каждый, у кого есть доступ к вашему компьютеру.
         Пользуйтесь функцией "Упорядочить пароли" только в том случае,
         если ваш компьютер защищён от неавторизованного доступа;

      в) при распаковке сразу нескольких архивов, в окне ввода пароля
         доступен параметр "Использовать для всех архивов", позволяющий
         применить введённый пароль ко всем архивам.

         Если включить этот параметр, не указав пароль, то все зашифрованные
         архивы будут пропущены.

   4. В среде Windows 7 общий ход операции также отображается на
      значке WinRAR в панели задач Windows. Включением/отключением этого
      заведует параметр "Индикатор в панели задач" на вкладке "Общие"
      в настройках WinRAR.

   5. Ряд улучшений, касающихся Юникода, способствующих более гладкой
      обработке файлов с не-английскими символами в именах:

      а) улучшенная обработка Юникода в WinRAR в командах "Переименовать",
         "Преобразовать", "Найти" и других, в панели дерева папок, в окне
         запроса пароля и во многих других частях интерфейса WinRAR;

      б) правильное отображение юникод-имён в пунктах контекстного меню
         Проводника, относящихся к WinRAR;

      в) поддержка Юникода в файлах .lng, благодаря чему стало возможным
         изготавливать локализации WinRAR для языков, доступных только в
         Юникоде.

   6. Изменения в синтаксисе ключа -x<файл>. Теперь можно указывать шаблоны
      масок исключения для папок. Такая маска должна заканчиваться символом
      '\', например, -x*tmp*\ или -x*\temp\

   7. Новый параметр "Извлекать с относительными путями" на вкладке
      "Дополнительно" в диалоге извлечения. Если в WinRAR войти во
      вложенную папку в архиве и включить параметр "Извлекать с относительными
      путями", то из путей распаковываемых файлов будет удалена часть пути до
      этой папки, включая текущую вложенную папку.

      Например, если вы находитесь в архиве внутри папки "Backup\MyData" и
      извлекаете оттуда папку "Images", она будет извлечена как "Images",
      а не как "Backup\MyData\Images".

      По умолчанию этот параметр включён, то есть им теперь определяется
      стандартный режим извлечения, но при желании можно вернуться к стилю
      WinRAR 3.x. Для этого нужно просто выбрать параметр "Извлекать с полными
      путями" на вкладке "Дополнительно", а затем нажать кнопку "Сохранить
      установки" на вкладке "Общие" в окне извлечения.

   8. Windows 98, Windows Me и Windows NT больше не поддерживаются ни WinRAR,
      ни модулями самораспаковки (SFX) WinRAR. Минимальная версия Windows,
      необходимая для работы WinRAR 4.0 – Windows 2000.

      Если вам требуется запускать WinRAR в Windows более старых версий,
      пользуйтесь предыдущими версиями WinRAR, которые можно загрузить
      с ftp://ftp.rarlab.com/rar

   9. Если архив TAR, TAR.GZ или TAR.BZ2 содержит символические или жёсткие
      ссылки, и если файловая система – NTFS, то при распаковке такого архива
      WinRAR будет создавать эти ссылки. В среде Windows Vista и новее
      символические ссылки будут создаваться как символические, а жёсткие как
      жёсткие, а в Windows более старых версий все ссылки будут создаваться
      как жёсткие.

      Если результирующая файловая система – FAT32 или любая другая, не
      поддерживающая файловые ссылки, WinRAR будет пропускать ссылки при
      распаковке архивов TAR, TAR.GZ и TAR.BZ2.

  10. Процесс восстановления томов теперь вызывает меньше дисковых операций
      поиска, что способствует повышению производительности.

  11. В среде Windows 7 в дереве папок в окне извлечения можно выбрать
      библиотеку, и WinRAR будет использовать её стандартное место сохранения
      как целевой путь.

  12. Команда "Создать отчёт" позволяет выбирать, каким будет формат файла
      отчёта – HTML, текст в Юникоде или обычный текст. В отличие от
      предыдущих версий, теперь WinRAR сохраняет в отчётах юникодные символы
      при использовании формата HTML или текста в Юникоде. Поэтому в таких
      отчётах имена файлов с не-английскими символами будут отображаться
      правильно.

  13. Список сообщений в SFX-архивах с графическим интерфейсом (GUI) отображает
      только состояние операции и сообщения об ошибках. Имена всех извлечённых
      файлов больше не выводятся. Данное изменение способствует повышению
      скорости и снижению требований к памяти для SFX-архивов, содержащих
      большое количество файлов. Кроме того, это упрощает нахождение ошибок,
      так как они больше не теряются среди имён извлечённых файлов.

  14. Если в архивном комментарии нет команд "Setup" или "Presetup", то
      SFX-архивы с графическим интерфейсом (GUI) содержат кнопку "Извлечь",
      а не "Установить". Если нужно, чтобы отображалась кнопка "Установить",
      но не требуется запускать никаких программ установки, то добавьте в
      комментарий команду "Setup=<>".

  15. WinRAR показывает текущий процент над индикатором хода операции при
      починке архива, содержащего информацию для восстановления, и при
      обработке томов для восстановления.

  16. При создании многотомного RAR-архива в режиме автоопределения размера
      томов WinRAR ограничивает максимально возможный размер тома до 4 ГБ
      минус 1 байт, если тома RAR создаются в файловой системе FAT или FAT32.
      В этих файловых системах не поддерживаются файлы размером 4 ГБ и более.

  17. Когда выбран параметр "Ждать, если работает другая копия WinRAR", и
      WinRAR ожидает завершения работы другой копии, ожидание можно
      прекратить нажатием кнопки "Продолжить" в окне хода операции. Таким
      образом, отныне кнопка "Продолжить" позволяет отменить действие
      параметра "Ждать, если работает другая копия WinRAR" для текущей
      операции.

  18. WinRAR выводит не два, а один запрос пароля при повторном сохранении
      зашифрованного файла в RAR- или ZIP-архиве после модифицирования файла
      в каком-либо внешнем редакторе. Предыдущие версии WinRAR обычно
      запрашивали пароль дважды – при извлечении исходного файла и при
      архивировании его изменённой копии. Один запрос пароля выдавался лишь
      при обработке RAR-архивов с зашифрованными именами файлов.

  19. В список кодов ошибок добавлен новый код 10 ("нет файлов"),
      возвращаемый RAR и WinRAR в режиме командной строки. Этот новый код
      может возвращаться командами архивирования, извлечения, удаления и
      починки. Он означает, что RAR не удалось найти никаких файлов,
      соответствующих указанному файлу или архивной маске.

  20. Область имени файла в окне перезаписи файлов теперь состоит из нескольких
      строк, благодаря чему можно отображать гораздо более длинные имена.

  21. Теперь ключ -ep3 преобразовывает не только буквы дисков, но и UNC-пути.
      Так, путь \\server\share при архивировании будет преобразован в
      __server\share и восстановлен в исходный \\server\share при извлечении
      с ключом -ep3.

  22. Добавлен параметр параметр "Извлекать в фоновом режиме" на вкладке
      "Дополнительно" диалога извлечения, предназначенный для перевода
      WinRAR в фоновый режим при извлечении файлов.
      Как и другие параметры извлечения, вы можете сохранить выбранное
      состояние этого параметра как стандартное, нажав кнопку "Сохранить
      установки" на вкладке "Общие" диалога извлечения.

      Параметр "Архивировать в фоновом режиме" в принимаемом по умолчанию
      профиле архивации больше на поведение извлечения не влияет.

  23. Кнопка "Параметры операции..." в окне хода выполнения также доступна
      при распаковке и тестировании архивов. Она вызывает окно параметров,
      в котором при извлечении или тестировании можно установить параметр
      "По окончании выключить ПК".

      Ранее это окно можно было вызвать только при архивировании.

  24. Исправлены ошибки:

      а) переименование файла в архиве могло повлечь переименование всех
         остальных содержащихся в этом архиве файлов с таким же именем, но
         находящихся в других папках;

      б) предыдущие версии неправильно показывали общий упакованный размер
         в команде "Информация" для многотомных архивов CAB;

      в) в ZIP-архивах команды 'U' (обновить) и 'F' (освежить) могли ошибочно
         обновлять даже файлы, не указанные в командной строке.
         Это происходило только с файлами в текущей папке, имена которых
         совпадали с именами файлов в ZIP-архиве. В обычном режиме
         архивирования 'A' (добавить) этой ошибки не было.


   Версия 3.93

   1. Исправлены ошибки:

      а) в WinRAR 3.92 ключ -xd:\путь\папка мог также исключать из обработки
         папки с отличными от указанных в ключе путями, но с совпадающими
         именами;

      б) некорректная совместная работа ключей -y и -or. Если присутствовал
         ключ -y, то ключ -or игнорировался.


   Версия 3.92

   1. Если запустить команду WinRAR из контекстного меню Проводника на
      компьютере с несколькими мониторами, диалоговое окно этой команды
      будет отображаться на том же мониторе, что и контекстное меню.
      В предыдущих версиях это окно всегда выводилось на первичном мониторе.

   2. Команда WinRAR "Добавить в архив и отправить по email..." в
      контекстном меню подставляет в качестве темы письма имя архива.
      Предыдущие версии оставляли поле "Тема" у email-сообщения пустым.

   3. В RAR версии 3.91 ключ -x<маска> мог также исключать из архивирования
      папки, даже если маска содержала символы подстановки (шаблоны) и в ней
      не был указан путь. Например, ключ -x*. исключал все папки, имена
      которых не имели расширения. Теперь для масок без пути ключ -x работает
      так же, как в RAR версии 3.80, исключая папки только в том случае,
      если в маске нет символов подстановки и не указано точное имя папки.

   4. Исправлены ошибки:

      а) WinRAR 3.91 неверно выдавал ошибку "Неожиданный конец архива" при
         открытии пустого ZIP-архива, созданного командой "Архив ZIP - WinRAR"
         в контекстном меню;

      б) если при распаковке нескольких ZIP-архивов было включено
         удаление архива, и один из архивов оказывался повреждённым, WinRAR
         не удалял архивы, следующие за повреждённым, даже если при их
         распаковке не возникало ошибок;

      в) если файл удовлетворял двум разным маскам в файле RarFiles.lst, то
         WinRAR мог использовать последнюю маску, хотя в том случае, когда
         одна маска не является подмножеством другой, выбор должен
         соответствовать первой маске.


   Версия 3.91

   1. Добавлена возможность распаковки архивов 7-Zip, созданных
      с помощью алгоритма LZMA2.

   2. Теперь при использовании контекстного меню для распаковки архивов 7z
      с зашифрованными именами файлов пароль запрашивается только один раз.
      WinRAR 3.90 запрашивал его дважды.

   3. Добавлена возможность распаковки архивов tar.bz2, состоящих из
      нескольких объединённых потоков bz2 меньшего размера. Предыдущие
      версии распаковывали в таких композитных архивах только первый
      вложенный поток bz2.

   4. WinRAR отображает контрольные суммы файлов (CRC32) внутри обычных
      архивов .gz (не .tar.gz). В архивах GZIP предыдущие версии оставляли
      это поле пустым.

   5. Исправлены ошибки:

      а) в диалоге поиска архива (команда "Открыть архив" в меню "Файл" и
         команда "Обзор..." в диалоге архивирования) WinRAR 3.90 вместо
         кнопок "Открыть" или "OK" отображал кнопку "Сохранить";

      б) WinRAR мог неверно отображать имена файлов при просмотре содержимого
         плохо сформированных архивов ZIP;

      в) WinRAR 3.90 выдавал ошибку при распаковке архивов LZH, созданных
         с помощью алгоритма "-lh7-";

      г) WinRAR 3.90 мог выдавать ошибку при удалении части файлов после
         архивирования, если было включено удаление в Корзину.
         Эта ошибка проявлялась при работе в среде Windows XP, но не в
         Windows Vista и Windows 7;

      д) при распаковке ISO-файла с помощью команды WinRAR "Извлечь файлы..."
         в контекстном меню Проводника, WinRAR мог извлечь одни и те же
         заархивированные файлы дважды за одну операцию, во второй раз выводя
         запрос на перезапись файлов;

      е) шестнадцатеричный поиск в команде WinRAR 3.90 "Найти файлы" и в
         команде "ih" консольного RAR давал ошибку, если первый байт искомой
         строки был больше, чем 127.


   Версия 3.90

   1. Выпущена версия WinRAR для Windows x64. Если вы используете
      Windows x64, настоятельно рекомендуется устанавливать 64-бит
      версию WinRAR, так как она обеспечивает более высокую производительность
      и лучше встраивается в оболочку ОС, чем 32-бит версия.

   2. Увеличена скорость сжатия RAR на многоядерных и многопроцессорных
      системах. Это улучшение особенно заметно в среде Windows Vista и
      Windows 7.

   3. Параметр "Удалять дублирующиеся папки из пути извлечения" в диалоге
      "Параметры/Архивация" заменён более универсальным "Удалять избыточные
      папки из пути извлечения". Этот параметр позволяет избавляться от
      избыточных имён папок на основе имени архива в пути извлечения,
      если архив распаковывается из контекстного меню командой
      "Извлечь в ИмяПапки\", и если в корневой папке архива содержится
      только одна папка и нет файлов.

   4. Изменения в диалоге "Путь и параметры извлечения":

      а) добавлена кнопка "Создать папку", позволяющая создать новую
         вложенную папку в текущей выбранной папке;

      б) клавиша F2 переименовывает выбранную папку в дереве папок;

      в) клавиша F5 обновляет содержимое панели дерева;

      г) клавиша Del удаляет выбранную папку в дереве папок.

   5. В диалоге "Параметры/Список файлов" добавлен параметр
      "Показывать секунды", позволяющий включить отображение секунд
      в датах файлов, выводимых в списке в графической оболочке WinRAR.

   6. В диалоге "Параметры/Интеграция/Элементы контекстного меню" добавлена
      группа параметров "Место обнаружения SFX-архивов", которые позволяют
      управлять обработкой SFX-архивов в контекстных меню.
      Например, если вам часто приходится щёлкать правой кнопкой мыши по
      EXE-файлам на медленных сетевых дисках, имеет смысл выключить
      параметр "Сетевые диски", чтобы минимизировать задержки при
      появлении контекстного меню.

   7. Сортировка списка файлов по именам в оболочке WinRAR теперь работает
      так же, как в Проводнике Windows, то есть с логическим учётом цифр в
      именах файлов. Так, если ранее файлы сортировались в последовательности
      1.txt, 10.txt, 2.txt, то сейчас они будут следовать в порядке
      1.txt, 2.txt, 10.txt. Такое новое поведение сортировки доступно в
      Windows XP Service Pack 2 и более новых версиях.

   8. Комбинация клавиш Ctrl+W закрывает как главное окно WinRAR, так и
      окна просмотра WinRAR. Клавиша быстрого вызова команды "Просмотр как
      текста Windows" в утилите просмотра WinRAR изменена с Ctrl+W на Ctrl+I.

   9. Добавлен новый ключ -r- для использования в командной строке,
      позволяющий полностью запретить рекурсию. Так, команда
      'rar a -r- arc dirname' добавит только пустую папку 'dirname',
      проигнорировав её содержимое. По умолчанию, если имя папки не содержит
      символов подстановки (шаблонов), RAR добавляет в архив всё её
      содержимое, даже если ключ -r не указан.

  10. Добавлен новый ключ -ai для использования в командной строке. При
      извлечении он вынуждает RAR игнорировать файловые атрибуты. Если
      указан этот ключ, извлекаемые из архива файлы будут всегда получать
      атрибуты, которые ОС присваивает по умолчанию всем вновь создаваемым
      файлам.

  11. Если в команде "cw" не указано имя целевого файла, консольная
      версия RAR отправляет данные комментария на устройство stdout.

  12. При сжатии данных с stdin с помощью ключа -si[имя], RAR устанавливает
      время изменения архивируемого объекта по текущему системному времени.
      Предыдущие версии RAR не заполняли это поле, из-за чего возникала
      неопределённость с временем изменения для stdin.

  13. Всплывающее сообщение, появляющееся при наведении мыши на значок WinRAR
      в области уведомлений (в системном лотке), теперь включает имя архива.
      Ранее оно показывало только оставшееся время и общий процент готовности
      при операциях архивирования.

  14. Добавлена новая переменная 'Shutdown' в ключе реестра
      'Software\WinRAR\Policy', позволяющая из соображений безопасности
      запретить параметр "По окончании операции выключить ПК".
      См. "Параметры конфигурации/Переменные в системном реестре" в Справке.

  15. Улучшена интеграция в оболочку Windows. Теперь контекстное меню WinRAR
      более отзывчиво при работе с тысячами выбранных файлов.

  16. Улучшена совместимость с режимом высокого разрешения (DPI) экрана Windows.

  17. Исправлены ошибки:

      а) WinRAR мог давать сбой при открытии архива tar или tar.gz, если
         такой архив содержал файл размером более 8 ГБ;

      б) контекстное меню WinRAR неправильно работало в бета-версии Windows 7,
         если разрешены значки в контекстных меню, и пользователь щёлкал
         на файле внутри папки Windows 7 Library;

      в) предыдущие версии WinRAR выдавали ошибку при переименовании файлов,
         содержащих пять и более непрерывно следующих пробелов в имени.
         Графическая оболочка WinRAR из соображений безопасности не отображает
         такие пробелы, поскольку они могут скрывать настоящее расширение
         файла. Однако эта мера предосторожности мешала правильной работе
         команды переименования.


   Версия 3.80

   1. Добавлена поддержка архивов ZIP, содержащих файлы с именами в формате
      UTF-8 (Unicode). При создании ZIP-архива WinRAR сохраняет имена в
      юникоде, только если их нельзя корректно сохранить, используя текущий
      однобайтовый набор символов.

   2. Добавлена поддержка распаковки ZIP-архивов с шифрованием AES, созданных
      утилитой WinZip.

   3. Для архивов RAR и ZIP улучшена поддержка юникода в именах.

   4. Режимы "Выдавать запрос перед перезаписью" и "Пропускать существующие
      файлы" теперь доступны в диалоге архивирования. Это позволяет указывать
      WinRAR, как поступать при обновлении файлов, уже имеющихся в архиве.
      В отличие от режимов "Обновить существующие файлы" и
      "Добавить с обновлением файлов", эти новые режимы игнорируют даты файлов
      и сравнивают только их имена.

      При использовании командной строки, эквиваленты этих режимов следующие:

      а) ключ -o включает режим архивирования "Выдавать запрос перед перезаписью";

      б) ключ -o- включает режим архивирования "Пропускать существующие файлы";

      в) ключ -o+ включает режим "Перезаписывать все" (по умолчанию для
         архивирования).

   5. Новый параметр "Добавить в контекстное меню" в диалоге "Параметры профиля".
      Если включить этот параметр, имя данного профиля будет отображаться в
      контекстных меню Проводника Windows, то есть профиль можно будет
      активировать непосредственно из контекстного меню.

   6. Добавлен ключ -cp<имя_профиля>, позволяющий выбирать профиль сжатия в
      режиме командной строки. Ключ поддерживается только в версии с
      графическим интерфейсом (WinRAR.exe), но не в консольной версии (rar.exe).

   7. Новая вкладка "Опции" в диалоге архивирования, содержащая группу
      опций для изменения поведения параметра "Удалить файлы после упаковки"
      на вкладке "Общие":

      а) "Удалить файлы": при выборе этого варианта файлы удаляются обычным
         образом, как в предыдущих версиях WinRAR.

      б) "Переместить файлы в Корзину": удалённые файлы помещаются в Корзину.

         Эквивалент этой опции в командной строке: ключ -dr.

      в) "Уничтожить файлы": перед удалением файла содержащиеся в нём данные
         перезаписываются нулевыми байтами, что препятствует восстановлению
         удалённых файлов.

         Эквивалент этой опции в командной строке: ключ -dw.

      Все эти опции имеют силу только при включённом параметре "Удалить файлы
      после упаковки". Чтобы изменить стандартное поведение этого параметра,
      любую из этих опций можно включить в профиль архивирования, используемый
      по умолчанию.

   8. Диалог WinRAR "Путь и параметры извлечения" теперь допускает изменение
      размеров окна. Чтобы увеличить размер поля с деревом папок, просто
      перетащите мышью край окна. Новые размеры диалога WinRAR запоминает.

   9. Новая команда "Update" для SFX-сценариев и группа параметров
      "Режим обновления" на вкладке "Обновление" в диалоге "Дополнительные
      параметры SFX". С помощью этих команды и параметров можно проверять
      время и реализовать обновление файлов на основе их времени.

  10. Команда "Shortcut" SFX-сценариев и команда "Добавить ярлык..." в
      диалоге "Дополнительные параметры SFX" теперь позволяют указывать файл
      значка, содержащий значок, ассоциированный с ярлыком.

  11. Новый параметр "Уничтожать временные файлы" на вкладке "Безопасность"
      в диалоге установок WinRAR обеспечивает более надёжное, хотя и менее
      быстрое удаление временных файлов, создаваемых во время работы WinRAR.

  12. WinRAR и RAR отображают общий индикатор хода распаковки многотомного
      RAR-архива, если все тома этого архива находятся в одной папке.

  13. WinRAR и RAR автоматически расширяют имена переменных среды в списке
      файлов. Например, список файлов может содержать такие строки:

        %windir%\*.exe
        %USERPROFILE%\Desktop

      Эта функция доступна только в версии RAR для Windows.

  14. Добавлена поддержка архивов TAR с ненулевыми данными "extra field".

  15. Добавлена поддержка архивов TAR, которые не содержат элемент конца
      архива из 512 нулевых байт.

  16. Улучшена поддержка Unicode при перетаскивании файлов из окна WinRAR.

  17. Для переключения в обратном порядке между элементами интерфейса главного
      окна WinRAR (файлы, комментарий, дерево, адрес) можно использовать
      сочетание клавиш Shift+Tab. В предыдущих версиях клавиши Shift+Tab
      переключали фокус ввода в том же порядке, как и Tab.

  18. Устранена возможность сбоя WinRAR при открытии усечённых файлов ISO c
      файловой системой UDF.


   Версия 3.71

   1. Имена архивов в файле-протоколе ошибок rar.log всегда указываются
      с полным путём.

   2. Значок WinRAR в системном лотке (области уведомлений) совместим с
      режимами экрана высокого разрешения.

   3. Если вы изменили файл, находящийся в архиве с зашифрованными именами,
      с помощью какого-либо внешнего редактора, WinRAR не будет требовать
      ввести архивный пароль при запросе на обновление файла в архиве. В этом
      случае будет использоваться пароль, указанный вами при открытии архива.

   4. Исправлены ошибки:

      а) в предыдущей версии ключ -tl и параметр "Установить время архива по
         времени самого нового файла" могли работать некорректно. Иногда
         они устанавливали время архива не по времени новейшего файла, а по
         текущему системному времени;

      б) если маска ключа -ag содержала символы номера архива, месяца и минуты,
         то вместо значения минут WinRAR помещал символ 'I' в сгенерированное
         имя архива для номеров архивов, превышающих 1;

      в) неверно отображались имена файлов с символами из второй половины
         таблицы ASCII в образах ISO, использующих формат ISO 9660 без
         расширения Joliet;

      г) WinRAR мог вызывать ошибку при распаковке некоторых повреждённых
         архивов RAR;

      д) если в команде "Преобразовать архивы" был установлен параметр
         "По окончании операции выключить ПК", WinRAR выключал компьютер
         после преобразования первого из выбранной группы архивов, а
         не после преобразования всей группы;

      е) если в среде Windows Vista пользователь указал для SFX-архива
         несуществующий целевой путь, модуль SFX мог войти в бесконечный
         цикл "создание нового SFX-окна";

      ж) при использовании перетаскивания (drag and drop) WinRAR мог вызывать
         ошибку при извлечении отдельного файла из вложенной папки в архиве ACE.


   Версия 3.70

   1. Ряд изменений, касающихся совместимости с Windows Vista:

      а) Формат файла справки изменён со старого HLP на новый HTML (CHM);

      б) Модули самораспаковки с графическим интерфейсом (GUI) пытаются выдать
         запрос административных прав, если в сеансе с текущей учётной записью
         пользователя они не могут создать целевую папку;

      в) Файл-отчёт rar.log и файлы тем WinRAR теперь хранятся в папке
         %APPDATA%\WinRAR (ранее они находились в папке программных файлов
         WinRAR).

         Файл с экспортированными установками settings.reg по умолчанию
         также хранится в папке %APPDATA%\WinRAR, однако теперь для него можно
         выбрать другую папку в диалогах, вызываемых командами "Экспорт
         параметров в файл" и "Импорт параметров из файла".

         WinRAR ищет регистрационный ключ и файл settings.reg как в своей
         программной папке, так и в папке %APPDATA%\WinRAR;

         Чтобы переопределить принимаемый по умолчанию путь %appdata%\WinRAR,
         используемый для установок WinRAR, можно в ключе реестра
         HKEY_CURRENT_USER\Software\WinRAR\Paths создать строковый параметр
         "AppData" и присвоить ему соответствующее значение.

         Например, если вы хотите хранить файлы тем в папке WinRAR, присвойте
         этому параметру значение "c:\Program Files\WinRAR".

      г) Изменения в интеграции WinRAR с оболочкой, касающиеся совместимости
         с Windows Vista;

      д) Добавлен новый параметр "Запрос административного доступа" на вкладке
         "Дополнительно" в диалоге "Дополнительные параметры SFX". Он позволяет
         создавать SFX-архивы, запрашивающие административный доступ, будучи
         запущенными в среде Windows Vista.

         Эквивалент этого параметра в командной строке: ключ -iadm.

   2. Добавлена поддержка файлового формата ISO 13346 (UDF). Этот формат
      часто применяется в ISO-образах дисков DVD.

   3. Добавлена поддержка Unicode для файлов ISO 9660, благодаря чему WinRAR
      должен лучше обрабатывать имена файлов с не-английскими символами в
      файлах .iso.

   4. Изменена компоновка окон хода архивирования и распаковки:

      а) Увеличено пространство для имён файлов, чтобы в окне умещались более
         длинные имена;

      б) Текущее имя архива выводится на отдельной строке, что позволяет
         видеть гораздо более длинные имена архивов, чем раньше;

      в) При архивировании текущая степень сжатия отображается на отдельной
         строке;

      г) Допускается использовать как стандартные (принятые в Windows), так и
         классические (WinRAR) индикаторы хода операции. Чтобы включить
         классические индикаторы Windows, нужно выбрать параметр "Индикаторы
         Windows" на вкладке "Общие" в диалоге настроек конфигурации WinRAR.
         По умолчанию этот параметр включён, если активен какой-либо стиль
         визуализации Windows, и выключен, если в Windows выбрана тема
         "Классическая".

         Индикаторы Windows содержат только два цвета, поэтому они не
         показывают текущую степень сжатия. Но теперь степень сжатия
         отображается на отдельной строке;

      д) Кнопка "Параметры операции..." теперь находится в нижней части окна.

   5. Модули самораспаковки с графическим интерфейсом (GUI) поддерживают
      следующие ключи командной строки:

      -d<путь>        задать целевой путь
      -p<пароль>      указать пароль
      -s              "тихий" режим, скрывается всё
      -s1             то же, что -s
      -s2             "тихий" режим, скрывается начальное окно
      -sp<параметры>  указать параметры для программы установки

   6. Модули самораспаковки с графическим интерфейсом (GUI) не передают
      программе установки всю командную строку, как это было в предыдущих
      версиях.
      Если требуется получить доступ ко всей командной строке SFX-архива,
      вам нужно проанализировать переменную среды с именем sfxcmd,
      которая содержит эту командную строку целиком.

   7. Добавлен новый ключ -sc<набор символов>[объекты], позволяющий указывать
      набор символов, который будет использоваться для комментариев архива и
      файлов-списков. Данный ключ пришёл на смену ключу -fcu, появившемуся в
      RAR 3.60 (сейчас этот ключ из числа поддерживаемых удалён). Теперь для
      использования комментариев в кодировке Unicode требуется вместо ключа
      -fcu указывать ключ -scuc. В отличие от -fcu, ключ -sc также
      поддерживает наборы символов OEM и ANSI.

   8. В меню "Файл" добавлена новая команда "Сохранить копию архива как...".
      Она может пригодиться, когда вы открыли архив прямо из Интернета, а
      затем решили сохранить его на локальном диске.

   9. В меню "Вид" встроенной программы просмотра WinRAR добавлена команда
      "Перенос по словам", благодаря чему стало возможным переключать режим
      переноса строк в уже открытом окне просмотра.

      Состояние этого параметра не запоминается между разными сеансами
      просмотра. Если требуется изменить значение данного режима, принимаемое
      по умолчанию, нужно сделать это на вкладке "Просмотр" в диалоге
      настроек WinRAR.

  10. В диалог управления профилями добавлены кнопки "Выше" и "Ниже",
      позволяющие изменять позицию выбранного профиля в списке.

  11. При добавлении информации для восстановления теперь выводится индикатор
      хода операции.

  12. Если WinRAR свёрнут в системный лоток, при наведении мыши на его значок
      WinRAR показывает сообщение о ходе текущей операции.
      В предыдущих версиях отображался только процент выполненной работы,
      теперь тут также содержится информация об оставшемся времени.

  13. Консольная версия RAR выводит сообщение "Вычисление контрольной суммы"
      при подсчёте суммы CRC32 для вновь создаваемого тома RAR.
      Предыдущие версии также вычисляли контрольные суммы, но делали это без
      вывода сообщений.

  14. В списке истории архивов в меню "Файл" разрешены имена в кодировке
      Unicode, что обеспечивает более надёжную поддержку архивов с именами,
      содержащими не-английские символы.

  15. Устранена уязвимость, связанная с переполнением стека в модуле
      обработки пароля в консольных RAR и UnRAR. Версия с графическим
      интерфейсом (WinRAR) эта уязвимости подвержена не была.
      Благодарим iDEFENSE LABS за обнаружение этой ошибки.


   Версия 3.62

   1. Исправлены ошибки:

      а) в модуле обработки архивов 7-Zip устранена уязвимость, приводящая
         к переполнению стека;

      б) модуль GZip мог неправильно устанавливать дату файла при распаковке
         архивов GZip.


   Версия 3.61

   1. Исправлена ошибка в многопоточном модуле сжатия текста, которая при
      определённых условиях могла приводить к повреждению данных в архиве.

      Эта ошибка присутствовала только в многопоточном режиме и только в
      WinRAR 3.60. На версии RAR для других платформ она не распространяется.

   2. Устранена проблема с несовместимостью, препятствующая работе
      WinRAR 3.60 в среде Windows 95.


   Версия 3.60

   1. Реализована многопоточная версия алгоритма сжатия RAR, повышающая
      скорость сжатия на компьютерах с несколькими ЦП, двухядерными
      ЦП и процессорами с технологией hyperthreading.
      По умолчанию многопоточность включена, но если это необходимо, её
      можно выключить в диалоге настроек программы на вкладке "Общие".

      В режиме командной строки для управления многопоточностью служит
      ключ -mt<потоки>.

   2. Теперь WinRAR может отображать панель с деревом папок для быстрой
      навигации по диску и архивным папкам. Вывод дерева папок включается
      в подменю "Параметры/Дерево папок". Предусмотрена раздельная
      настройка для режимов управления файлами и архивами.

      Дерево папок пришло на смену команде "Выбрать папку", ранее
      присутствовавшей в меню "Файл" и вызываемой по горячей клавише Ctrl+T.

   3. Теперь команда WinRAR "Переименовать" также работает и с архивами ZIP.
      Предыдущие версии могли переименовывать файлы только в архивах RAR.

   4. Добавлена распаковка архивов LZH, созданных с помощью алгоритма "-lh7-".

   5. В диалог "Установки/Архивация" добавлен параметр "Удалять из пути
      извлечения дублирующиеся папки".

      Если этот параметр включён, и вы распаковываете архив, в корневой
      папке которого нет файлов, а есть только папка с именем 'somename',
      и если целевая папка новая или пустая и также заканчивается на
      '/somename', в этом случае WinRAR исключит из целевого пути
      'somename/somename' одно 'somename'.

   6. В диалоге "Установки/Архивация" добавлена новая кнопка
      "Определить размеры томов...". Эта кнопка вызывает диалог "Определение
      размеров томов", в котором можно настраивать список заранее
      заданных размеров томов для поля "Разделить на тома размером (в байтах)"
      в диалоге архивирования.

   7. Для некоторых типов данных увеличена скорость работы общего алгоритма
      сжатия RAR. В зависимости от типа и объёма данных прирост скорости
      может достигать 5 - 15%.

   8. Добавлены параметр "Переименовывать автоматически" в диалог распаковки
      и ключ -or для командной строки, позволяющие автоматически
      переименовывать извлекаемые файлы, если оказывается, что файл с таким же
      именем уже есть на диске. Режим автоматического переименования можно
      также включить непосредственно в диалоге запроса подтверждения
      перезаписи кнопкой "Переименовывать все".

      Переименованные файлы получают имена вида 'filename(N).txt', где
      'filename.txt' - исходное имя файла, а 'N' - номер.

   9. Параметр "Установить время изменения" на вкладке "Дополнительно"
      в диалоге извлечения теперь также доступен для архивов ZIP. Ранее
      его можно было изменять только для архивов RAR.

  10. В команду "Тест быстродействия и надёжности аппаратуры" добавлен
      параметр "Многопоточность", позволяющий сравнить производительность
      обычной и многопоточной версий алгоритма сжатия RAR.

  11. Добавлена новая команда 'ch' (изменить параметры архива) для режима
      командной строки. Она предназначена для применения к архиву таких
      ключей, как -av, -tl и -cl.

  12. Добавлена новая команда 'cv' для режима командной строки. Она
      обеспечивает интерфейс командной строки для команды WinRAR
      "Преобразовать архивы". Эта команда поддерживается только
      в WinRAR.exe, но не в RAR.exe.

  13. Добавлены новые ключи командной строки -sl<размер> и -sm<размер>
      для задания предельных размеров обрабатываемых файлов.

  14. Добавлен новый ключ командной строки -fcu[файл] для чтения архивных
      комментариев из файлов в кодировке Unicode. Он также изменяет поведение
      команды "cw", устанавливая формат вывода комментария в Unicode.

  15. В список форматов, сохраняемых в архиве без сжатия при использовании
      ключа -ms без параметров, добавлен формат 7Z.

  16. Ключ -e[+]<атрибуты> теперь поддерживается в большинстве операций,
      вызываемых из командной строки, включая извлечение и удаление файлов.
      Ранее этот ключ можно было применять только в командах архивирования.

  17. Разрешается применять переменные среды в имени архива в диалоге
      архивирования, в целевом пути в диалоговом окне извлечения, в именах
      папок на вкладках "Архивация" и "Пути" в окне параметров WinRAR.
      Например, в поле "Папка для временных файлов" можно указать '%temp%'.



   Версия 3.51

   1. Исправлены ошибки:

      а) устранены два уязвимых места в системе защиты, которые могли
         использоваться злоумышленниками с помощью особым образом созданных
         архивов ACE и UUE/XXE;

      б) предыдущая версия удаляла не все временные файлы;

      в) указание в командной строке очень длинного имени архива (более
         1024 символов) могло привести к сбою в работе WinRAR.



   Версия 3.50

   1. Появилась возможность изменять внешний вид WinRAR с помощью "тем"
      интерфейса. Темы доступны на web-странице
      http://www.rarlab.com/themes.htm

      Файлы тем представляют собой RAR-архивы. Чтобы установить тему, нужно
      просто открыть её файл в WinRAR.
      Для манипулирования установленными темами используйте меню
      "Параметры/Темы".

   2. WinRAR поддерживает распаковку архивов ZIP, созданных с использованием
      алгоритма Zip64. Этот алгоритм был введён как расширение классического
      формата ZIP с целью преодоления его ограничений на размер архивируемых
      файлов.

   3. Добавлена поддержка многотомных (состоящих из нескольких частей) архивов
      CAB.

   4. Новые параметры на вкладке "Дополнительно" диалога распаковки:

      а) параметры в группе "Удалить архив" позволяют удалять архивы после
         распаковки;

      б) параметр "Проверять электронную подпись" служит для включения или
         отключения проверки информации о создателе RAR-архивов (подписи).

   5. Добавлен параметр "Ждать, если работает другая копия WinRAR" на вкладках
      "Дополнительно" диалогов архивирования и извлечения.

      Если этот параметр активизирован, WinRAR будет ожидать завершения работы
      других запущенных копий WinRAR. Операция будет начата только тогда, когда
      другие копии WinRAR закончат создавать, изменять или распаковывать архив.
      Если вам требуется выполнять несколько операций архивирования или
      распаковки, такая последовательная обработка способна снизить дисковую
      активность и повысить общую производительность.

   6. Появилась возможность встраивать WinRAR в контекстные меню Windows также
      и в системах Windows x64.

   7. SFX-модули:

      а) Включённые в комплект поставки WinRAR SFX-модули больше не
         упакованы утилитой UPX, поэтому их объём увеличился. Сжатие
         с помощью UPX приводило к значительному количеству ложных
         срабатываний антивирусных программ. Если вы хотите использовать
         сжатые модули, то для этого вам нужно самостоятельно сжать файлы
         *.sfx в папке WinRAR посредством утилиты UPX
         (http://upx.sourceforge.net) или подобных ей программ (например,
         PECompact или Upack);

      б) Стандартный логотип SFX-модуля можно заменять другим растровым
         изображением. Для этого служит параметр "Загрузить логотип для SFX из
         файла" на вкладке "Текст и значок" диалога "Дополнительные параметры
         SFX", а также указываемый в командной строке ключ -iimg<имя>.
         Обратите внимание, что ключ -iimg распознаётся только в WinRAR,
         консольная версия RAR его не поддерживает. Этот параметр неприменим в
         системах Windows 95, 98 и Me. Кроме того, вы не сможете его
         использовать, если SFX-модули сжаты с помощью UPX.

      в) Теперь стало возможным указывать свои SFX-значки размером более 32x32
         и любой глубиной цвета. Как и в предыдущем пункте, это нововведение
         доступно лишь для несжатых SFX-модулей и только в том случае, если вы
         используете операционную систему Windows, отличную от семейства 9x/Me;

      г) Модуль DOS.SFX перемещён в дистрибутив RAR/DOS32. Если вам требуется
         создавать самораспаковывающиеся архивы для DOS, просто скопируйте файл
         DOS.SFX в папку с WinRAR.

   8. Команда "Мастер" позволяет указывать пароль при создании или обновлении
      архива.

   9. Предыдущие версии WinRAR извлекали всё содержимое архива, если
      пользователь нажимал <Enter> или дважды щёлкал мышью на файлах с
      расширениями ".EXE", ".HTM" и ".HTML". Теперь стало возможным задавать
      маски файлов, для которых требуется распаковывать архив целиком. Эти
      маски указываются на вкладке "Просмотр" в настройках программы. Например,
      если нужно, чтобы при щелчке на заархивированном HTML-файле
      распаковывался только этот файл (а не весь архив), в этом поле следует
      убрать "*.htm *.html".

  10. На вкладке "Интеграция" в диалоге настройки программы добавлено поле
      "Пользовательские расширения архивов". Оно позволяет указывать расширения
      имён файлов для архивных форматов, поддерживаемых WinRAR. Например, если
      ваши RAR-архивы имеют расширение ".001", то, чтобы ассоциировать WinRAR с
      такими файлами, в этом поле нужно ввести "001".

  11. Добавлен параметр "Выделять цветом сжатые/зашифрованные NTFS-файлы" на
      вкладке "Список файлов" в диалоге настроек WinRAR.

  12. Добавлен параметр "Заблокировать панели" на вкладке "Общие" в
      диалоге настроек WinRAR и в меню, вызываемом щелчком правой кнопкой мыши
      на панели инструментов. Блокировка позволяет избежать случайного
      перемещения или изменения размера панели инструментов.

  13. Команды "Восстановить архив" и "Извлечь" заменяют недопустимые символы
      (двоеточие, знак вопроса и т.п.) символами подчёркивания в именах файлов,
      находящихся в архивах ZIP. Ранее эта возможность была доступна только для
      архивов RAR.

  14. Новые ключи -n<маска> и -n@<файл-список> позволяют определять
      дополнительные фильтры, чтобы подвергались обработке только файлы,
      соответствующие указанной маске.

  15. Новый ключ -id[c,d,p,q]. В дополнение к ранее доступному ключу -idp
      (запрет вывода процентного индикатора работы), ключи -idc, -idd и -idq
      позволяют отключать у консольной версии RAR вывод сведений об авторских
      правах, строки "Готово" и всех информационных сообщений.

  16. Ключ -e+<атрибут> позволяет указывать маску включения в обработку по
      файловым атрибутам. Например, чтобы заархивировать только файлы с
      атрибутом "скрытый", нужно указать ключ "-e+h".

  17. Ключ -ver[n] теперь поддерживает дополнительный параметр 'n' не только
      при извлечении файлов, но и при архивировании. С его помощью можно
      ограничить максимальное число версий файла.

  18. Если при извлечении файла из архива обнаруживается, что короткое имя уже
      существующего на диске файла такое же, как длинное имя распаковываемого
      файла, то перед извлечением WinRAR изменяет короткое имя уже
      существующего файла. Предыдущие версии WinRAR в подобных ситуациях
      выдавали запрос на перезапись имеющегося на диске файла даже в тех
      случаях, когда длинные имена файлов не совпадали.

  19. Изменения, связанные с безопасностью:

      а) Оболочка WinRAR не позволяет запускать файлы *.pif. Заархивированные
         файлы PIF - один из типичных способов распространения компьютерных
         вирусов;

      б) Оболочка WinRAR не позволяет запускать файлы, имеющие в своих именах
         пять и более непрерывно следующих друг за другом пробелов (например,
         "calc.txt     .exe"). Такие пробелы часто используют вирусы, чтобы
         запутать пользователя, скрыв от него настоящее расширение файла.
         Кроме того, оболочка WinRAR удаляет непрерывно следующие пробелы (за
         исключением первого и последнего) при отображении таких имён в списке
         файлов.

  20. При работе в Windows XP колонка, выбранная для сортировки списка файлов
      в оболочке WinRAR, выделяется другим цветом (подобно тому, как это
      сделано в Проводнике).



   Версия 3.42

   1. Исправлена ошибка, связанная с переполнением буфера в команде
      "Удалить" WinRAR GUI, которая могла привести к краху при попытке
      удаления файла из повреждённого архива.



   Версия 3.41

   1. Исправлены ошибки:

      а) при добавлении новых файлов в уже существующий непрерывный
         RAR-архив, RAR 3.40 обеспечивал худшую степень сжатия,
         нежели RAR 3.30;

      б) починка повреждённых ZIP-архивов с помощью команды "Исправить"
         могла приводить к краху WinRAR.

   2. Если юникод-имя файла в архиве повреждено, команды 'l' и 'v' вместо
      этого повреждённого юникод-имени показывают имя в кодировке ASCII.



   Версия 3.40

   1. Изменён "Скоростной" (-m1) метод сжатия RAR. Теперь он обеспечивает
      значительно более высокую скорость упаковки при меньшей степени
      сжатия.
      Это сделано для решения задач, требующих высокой скорости
      упаковки, например, систематического снятия резервных копий.

      Быстродействие метода "Скоростной" можно повысить ещё сильнее,
      если вместо стандартного размера словаря (4 Мб) выбрать 64 Кб.

   2. Теперь WinRAR поддерживает распаковку архивов, созданных с помощью
      Unix-инструмента 'compress' (файлы .Z). Подобно архивам GZIP и BZIP2,
      WinRAR открывает файлы tar.Z и .taz за один приём, благодаря чему
      пользователю не нужно распаковывать .tar самостоятельно.

   3. Теперь WinRAR поддерживает распаковку архивов, созданных программой
      7-Zip (файлы .7z). Для архивов этого типа неприменима команда "Найти".

   4. Добавлен новый диалог "Безопасность" в настройках WinRAR:

      а) параметр "Типы файлов, исключаемые из распаковки" позволяет запретить
         извлечение из архивов таких потенциально опасных файлов, как
         .exe, .scr и .pif;

      б) параметр "Предлагать выбор антивирусного сканера" влияет на поведение
         команды "Проверить архивы на вирусы". Если вы не хотите, чтобы
         перед началом сканирования появлялся диалог выбора антивирусного
         сканера, выключите этот параметр.

   5. Добавлен новый ключ командной строки -ep3 для сохранения и
      восстановления полных путей файлов, включая букву диска.

      При работе в оболочке WinRAR эквивалентом ключа -ep3 являются параметры
      "Сохранять полные пути, включая букву диска" в диалоге архивирования
      на вкладке "Файлы" в параметре "Сохранение путей файлов при добавлении
      в архив", и "Извлекать абсолютные пути" в диалоге распаковки
      на вкладке "Дополнительно" в группе "Пути файлов".

   6. Теперь можно выбирать и упаковывать диски непосредственно при выборе
      пункта "Мой компьютер" в оболочке WinRAR. Для этого надо в адресной
      строке WinRAR выбрать пункт "Мой компьютер", выделить диски, которые
      требуется упаковать, и нажать кнопку "Добавить".
      Если выбрано более одного элемента, WinRAR автоматически включит
      режим архивирования "Сохранять полные пути, включая букву диска".

   7. Если выделить несколько дисков в окне "Мой компьютер" Проводника
      Windows и начать архивирование из контекстного меню, WinRAR
      автоматически включит режим "Сохранять полные пути, включая букву
      диска".

   8. Добавлен новый ключ командной строки -oc для восстановления атрибута
      "Сжатый" файловой системы NTFS при извлечении файлов. При создании
      архивов RAR всегда сохраняет атрибут "Сжатый", но не восстанавливает
      его при распаковке, если только не указан ключ -oc.

      При работе в оболочке WinRAR эквивалентом ключа -oc является параметр
      "Устанавливать атрибут 'Сжатый'" на вкладке "Дополнительно" в диалоге
      распаковки.

   9. Начиная с этой версии тома RAR содержат поле номера тома.

      Если архив был создан с помощью WinRAR версии 3.40 или более новой,
      номер тома отображается в верхней строке диалога с информацией об
      архиве, а также в адресной строке.

      В режиме командной строки номер тома выводят команды 'L' и 'V' в
      в строке с итоговой информацией о томе.

      Эта возможность может пригодиться в случае утери исходных имён
      томов, когда требуется дать им правильные имена.

  10. Команды 'L' и 'V' в листинге архива отображают NTFS-атрибут "Сжатый".

  11. Ключ -ag может быть дополнен необязательным текстом, заключённым
      в фигурные скобки '{' и '}'. Указанный текст будет вставлен в имя
      архива.
      Например: -agHH{час}MM{мин}

      Та же возможность реализована в поле "Добавлять к имени архива
      окончание по маске" в диалоге архивирования WinRAR.

  12. Если указан ключ -ac, RAR не будет снимать атрибут "Архивный"
      с файлов, размер или время модификации которых изменилось с момента
      начала архивирования.

      Таким образом, файлы, изменённые после добавления их в архив, но до
      снятия атрибута "Архивный", будут включены в следующее инкрементное
      резервное копирование. То же самое справедливо для параметра "Снимать
      у файлов атрибут 'Архивный' после упаковки" в оболочке WinRAR.

  13. При использовании команды "Добавить к Избранному" внутри вложенной
      папки архива, WinRAR сохранить вложенную папку, а затем восстановит
      её при выборе этого пункта в списке Избранного. Предыдущие версии
      могли восстанавливать только корневую папку архивов.

  14. При редактировании заархивированных файлов WinRAR предлагает обновить
      их в архиве немедленно, как только обнаруживается, что данный
      файл был изменён. Предыдущие версии ждали окончания работы
      внешней программы-редактора, прежде чем обновлять изменённый файл.

  15. При перетаскивании архива на адресную строку или панель инструментов
      WinRAR, в окне WinRAR будет показано содержимое этого архива, даже
      если в данный момент там был открыт другой архив. Предыдущие версии
      в такой ситуации предлагали добавить отбуксированный архив в
      просматриваемый.

      Если все же требуется добавить перетаскиваемый архив в
      просматриваемый, нужно перетащить его в поле WinRAR со списком файлов.

  16. Исправлена обработка повреждённых архивов LZH, чтобы исключить
      возможный сбой при чтении повреждённых файловых заголовков LZH.

  17. RAR и WinRAR отображают индикатор хода операции при починке
      архивов, содержащих информацию для восстановления.
